# 2. Digital Bodies

![Portada](../images/week02/1.png)





## **STEREOTOMY** 
![describe what you see in this image](../images/week02/2.png){ width=260 align=right }

Stereotomy is a technique that consists of developing products by cutting three-dimensional figures into planes. It is a discipline used in design and architecture to generate geometries by breaking down a morphology into sections of elements. <br/>

For this exercise I decided to work with the shape of a male body and use stereotomy to obtain a piece with volume through the assembly of flat pieces.
<br/>



## **3D MODEL**

### **Modeling**
To create the 3D model you can use <a href="http://www.makehumancommunity.org/">Make Human Community</a>  <br/>
MakeHuman is a tool designed to simplify the creation of virtual humans using a graphical user interface, also commonly known as a GUI. It is a specialized branch of the more general topic of 3D modeling. <br/>

The program has different options to modify the shape, measurements and proportions of a human model, so that it can be as realistic as possible. It also includes a menu with different predetermined positions that are quite useful when you are looking for a mannequin with a different position than the commercial options.

<figure markdown>
 ![Laser cut](../images/week02/14.png){ width=610}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/week02/15.png){ width=610}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/week02/16.png){ width=610}
  <figcaption></figcaption>
</figure>


### **Free Files**

Modeling a body from scratch can be a big challenge, especially if you don't have advanced knowledge of 3D modeling.
So, a very useful alternative is file banks, where you can buy or download for free the file you want or need. <br/>


I used <a href="https://www.thingiverse.com/">Thingiverse</a>  to download a 3D model and selected other options that you can also download for free. <br/>

<a href="https://www.thingiverse.com/thing:3632565/">Male torso</a> / <a href="https://www.thingiverse.com/thing:3251586/">Male Body</a>  / <a href="https://www.thingiverse.com/thing:5339405">Female torso</a>  /  <a href="https://www.thingiverse.com/thing:3555985">Female Body</a> 




## **SLICES**

To transform the 3D model into flat pieces I used the software <a href="https://www.autodesk.com/support/technical/article/caas/tsarticles/ts/3yg7zznS94MHNDG7KMV8Qg.html?cjdata=MXxOfDB8WXww&cjevent=0a270e707eec11ef82e001930a1cb828&AID=12741901&PID=8299320&SID=jkp_CjwKCAjw9eO3BhBNEiwAoc0-jUN7wBNnGTq3Bxj9QgQUGaM3swUohDaQ9P-YObtGF5lOSSvgZdwjBBoC1PUQAvD_BwE&mktvar002=afc_mx_deeplink&affname=8299320_12741901">Slicer for fusion 360</a> 

<b>Important: </b>Slicer for Fusion 360 is no longer maintained on the Autodesk Fusion 360 App Store. The technology is deprecated and is no longer being maintained and supported by Autodesk.
<br/>
<br/>

### **Construction techniques**

Slicer for Fusion 360 has different construction techniques that can be modified to achieve the result you are looking for. Remember that your decision depends on the material that you select for the assignment.

<figure markdown>
  ![](../images/week02/3.png){ width=560}
  <figcaption>All the models look great, right?</figcaption>
</figure>

<br/>

### **Configuration**

To create my file in "Slicer for Fusion 360", I imported my STL model and set the canvas measurements where the flat pieces would be exported. And since the program has default standard measurements, I had to create a new option configuring the length, width and thickness of the material with the measurements of the material I would use in the laser cutter. <br/>

<figure markdown>
 ![Laser cut](../images/week02/4.png){ width=560}
  <figcaption></figcaption>
</figure>


**IMPORTANT:** Depending on the model of laser cutter you use, the bed measurements may change. In this case, the laser cutter bed does not allow the use of materials with measurements larger than 95 x 75 cm. <br/>

### **Kerf**
All materials when cut lose a bit of the same material in the process and that depends largely on the diameter of the tool or the subtractive technique used.

In this case, we will use laser cutting, so it is necessary that you do a kerf test to know the exact measurement of the "Slot Offset" and from the program configuration, the amount of material that will be lost is considered and the assembly of the pieces is the most appropriate. <br/>

A quick kerf test is to draw a sequence of 9 rectangles with the same separation between cutting lines. That way, when you cut the piece, you will notice that if you join all the pieces to one side of the frame, the space left over is all the material that the laser removed during the cut and to know what the KERF is you just have to apply the formula **(Surplus measurement / number of cuts = Kerf)**

<figure markdown>
 ![Laser cut](../images/week02/17.png){ width=420}
  <figcaption></figcaption>
</figure>

I modified the proportions, since the original model was very small and I wanted to get a 1-1 scale model, and when selecting the construction technique I could see the amount of material I needed for the total of flat pieces. And as you modify the amount of pieces, the canvases can decrease or increase. <br/>

Important: The program also helps you identify construction errors, marking in red the pieces that do not match the structure, so, once all the pieces appear in gray, you will know that your model is ready to be exported in DXF.


<figure markdown>
 ![Laser cut](../images/week02/5.png){ width=560}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/week02/6.png){ width=560}
  <figcaption></figcaption>
</figure>



## **LASER CUTTER**

![Slicer software](../images/week02/8.png)

### **Safety Considerations**
- Properly maintained fire extinguisher should always be in the area.
- Always keep the area around cutter free of debris, clutter, and flammable materials.
- Keep interior of the laser cutter clean and free of debris. Visually inspect the interior between uses and clean tray if debris or residue are present.
- DON'T modify or disable any safety features of the laser system.
- DON'T operate the laser unless all covers are in place and interlocks are working properly.
- DON'T look directly into laser beam.
- DON'T view directly with optical instruments.
- DON'T operate if the view port is damaged, with any doors removed, or if any safety interlocks are defeated.
- NEVER defeat laser interlocks built into the cutter. This could allow the beam to escape the laser cutter.
<br/>


### **Materials**

| SOFT MATERIAL |   HARD MATERIAL | HARD MATERIAL | DANGEROUS MATERIAL
|:------------: |:---------------:| :--------------:| :--------------:|
|**All this materials can be cut and engrave**|**All this materials can be cut and engrave**|**Engrave Only**| **NEVER CUT THIS**|
| Paper |MDF (pressed cardboard)| Glass and crystals | PVC (Poly Vinyl Chloride) <br/> vinyl/pleather/ <br/>artificial leather|
| Cardboard|Wood| Ceramic|Thick ( > 1mm ) <br/> Polycarbonate/Lexan|
| Foaming |Plywood (pressed wood)|Marble, onyx and other stones|ABS|
| Felt | Plastic|Tile|HDPE/milk bottle plastic|
| Cotton and mixed fiber fabrics | Acrylic|Metal (apply special resin, laquer, etc)| PolyStyrene Foam|
|Thick synthetic fiber fabrics|||PolyPropylene Foam|
|Synthetic fabric lycra and thin|||Epoxy|
|Natural leather (leather)|||Fiberglass|
|Synthetic leather (leather)|||Coated Carbon Fiber|
|Rubber (rubber or latex)|||Any foodstuff ( such as meat, seaweed 'nori' sheets, cookie dough, bread, tortillas... )|
|Cork|||


### **Prepare the machine**
![Slicer software](../images/week02/9.png)
<br/>
<br/>

### **Prepare the cut**

To prepare for cutting the parts, I used the SmartCarve program, which allows you to set up the cutting and engraving lines. <br/>
The program asks you what unit you used for your drawing to ensure the proportion is correct. And since the DXF files that were exported from SFF360 have a frame, I removed that frame and set up the cutting parameters. **(The green lines are cutting and the red ones are engraving)**


<figure markdown>
 ![Laser cut](../images/week02/10.png){ width=510}
  <figcaption></figcaption>
</figure>

<figure markdown>
![Laser cut](../images/week02/11.png){ width=560}
  <figcaption></figcaption>
</figure>

<figure markdown>
![Laser cut](../images/week02/12.png){ width=560}
  <figcaption></figcaption>
</figure>

<figure markdown>
![Laser cut](../images/week02/13.png){ width=460}
  <figcaption></figcaption>
</figure>


<br/>


<div style="text-align: center;">

<iframe width="560" height="315" src="https://www.youtube.com/embed/_K47eMUApZc?si=NfLM7yJEVJb2V4zb" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

</div>

## **FINAL RESULT**
![Slicer software](../images/week02/7.png)


## **FABRICATION FILES**
[**3D Model "Male torso"**](../files/Week%202/Torso.stl) <br/>
[**Slice for fusion 360 "File"**](../files/Week%202/torso_piezas.3dmk)<br/>
[**Laser Cut files**](../files/Week%202//Body_Slices.zip)
