# 3. Circular Open Source Fashion

![Portada](../images/week03/1.png)



![describe what you see in this image](../images/week03/2.png){ width=240 align=right }

## **INSPIRATION** 
For this exercise I decided to draw inspiration from the creative vision of <a href="https://www.instagram.com/matthieu_blazy/">Matthieu Blazy</a>, creative director of Bottega Veneta, an Italian luxury brand known for its exceptional craftsmanship and timeless design. <br/>

The <a href="https://www.instagram.com/newbottega/">Bottega Veneta</a> brand developed a distinctive leather weaving technique called “the Intrecciato”, which became their signature style that I used as a starting point for my own design.
<br/>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/kIqmn-C6poU?si=6BM4qFCIuoDxcw0X" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


## **2D DESIGN** 
### **Paper test** 
![describe what you see in this image](../images/week03/3.png){ width=300 align=left }

The paper tests didn't work for me because I was looking for a piece that would gain volume when assembled. But, when you fold the paper in one direction it's very difficult for it to have resistance. So, I decided to do a quick test with the waste fabric from the lab with a design that was supposed to be assembled from each of the corners. But, although the result was very interesting, the reality is that the assembly did not work as I expected. Since, the figure expanded inwards, like a soccer ball.

<figure markdown>
 ![Laser cut](../images/week03/4.png){ width=590}
  <figcaption></figcaption>
</figure>

### **Digital drawing** 
For a second test, I looked for some inspiration in the <a href="https://oscircularfashion.com/">"Circular fashion catalogue"</a>, and that's how I understood that in order to get the modules to expand to the sides, I had to draw it as if it were a puzzle piece.

In this way I managed to create a single piece that could be assembled in 2 directions, but, the construction of my garment required an extra module that could join the assemblies at their meeting point, so, I designed a piece with a double assembly.

I used SolidWorks to design the modules because the "Matrix" tools are very efficient. Also, scaling the pieces with millimetric measurements is very easy.

<figure markdown>
 ![Laser cut](../images/week03/7.png){ width=560}
  <figcaption></figcaption>
</figure>

## **MATERIAL TESTING**

Textile materials have different compositions that make them more or less suitable for your project, depending on the creative vision of the final product, which in this case is a piece of clothing.
### **Cut & properties** 

![describe what you see in this image](../images/week03/5.png){ width=240 align=left }

For the first test, I used **felt**, a non-woven textile material obtained from wool fibers, animal hair or synthetic fibers. It is characterized by its **dense and solid structure**, which proved very convenient to maintain the three-dimensional shape I was looking for in the modules. <br/>
To cut this material with laser I used the following parameters:<br/>
**Max POWER: 30** <br/>
**Min POWER: 20** <br/>
**Work SPEED mm/s: 50** <br/>

<br/>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/4YoHbRWXcHw?si=zK9U9MH7U6CdykWN" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>
<br/>


![describe what you see in this image](../images/week03/6.png){ width=200 align=left }

I did another test with **Spanish Tergal**, a very strong synthetic fiber fabric composed largely of polyester whose compact structure makes the fabric durable. <br/>
In this case, I did a **tension test** to demonstrate that the alignment of the fabric in the laser cutter is very important since some textiles such as Spanish Tergal stretch in only one direction. <br/>

To cut this material with laser I used the following parameters:<br/>
**Max POWER: 30>**<br/>
**Min POWER: 20**<br/>
**Work SPEED mm/s: 60**<br/>


<br/>
<br/>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/MaO0x8DhXa0?si=ZDYFbTEPXsdRJtIG" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>



### **Iterlocking** 
Assembling the modules can be the most demanding part of this activity, since as you add pieces, the handling of the garment becomes more difficult. You also need to make sure that the modules are assembled correctly, so you can use a **small tool** that can go through the module without opening the fibers too much.<br/>

The video shows how the assembly works and the type of texture that is produced.<br/>
<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/zEiKOPtO1zA?si=XiUtr-PF6oiTDxJZ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

</div>


## **THE GARMENT** 
### **Model & assembly** 
I decided to create a vest with standard measurements so that it would be more dynamic and versatile. And to create a contrast similar to look 69, I used **"Tergal tropical"** in black and brown, which unlike Spanish Tergal, its composition doesn´t have elastane, so it doesn´t have a tendency to stretch. <br/>

Something interesting about this practice is that although the biggest challenge is to achieve a seamless garment, in my experience the best thing is to create a reinforcement system that helps the piece to have greater structure and resistance. <br/>

The assemblies of this piece resist assembly well but require reinforcement at stress points such as the shoulders and front. <br/>
<figure markdown>
 ![Laser cut](../images/week03/8.png){ width=650}
  <figcaption></figcaption>
</figure>


## **FINAL RESULT** 





<br/>



<figure markdown>
 ![Laser cut](../images/week03/10.png){ width=450}
  <figcaption>
  
VEST WAVES<br/>
Material:Tropical tergal <br/>
Individual modules: 735 pieces<br/>
Double assemblies: 21 pieces<br/>
Laser cutting time: 2 hours <br/>
</figcaption>
</figure>

<br/>


<figure markdown>
 ![Laser cut](../images/week03/9.png){ width=650}
  <figcaption></figcaption>
</figure>



<br/>




## **FABRICATION FILES**
[**Modules DXF file**](../files/Week%203/Pieces_Assembly.DXF) <br/>
[**Modules Solidworks file (2024 version)**](../files/Week%203/Pieces_Assembly.SLDPRT)<br/>


