# 4. BioChromes

![Portada](../images/week04/1.png)


**Biochrome** is a naturally occurring substance which imparts colour to the tissues of plants or animals. Plants and animals commonly possess characteristic pigments. They range in plants from those that impart the brilliant hues of many fungi, through those that give rise to the various browns, reds, and greens of species that can synthesize their food from inorganic substances (autotrophs), to the colourful pigments found in the flowers of seed plants. <br/>

## **DYEING**
Dyeing is the application of dyes or pigments on textile materials such as fibers, yarns, and fabrics to achieve color with desired hue and fastness.

### **Benefits of Fabric Dyeing**
- When Fabric Dyeing, colors are rich and you control the intensity of the color. <br/>
- You can dye fabric to your specifications. <br/>
- There are a variety of dyes to choose from including plants. <br/>
- You can add patterns and effects in a variety of ways with simple techniques and tools. <br/>

**FABRIC DYEING** is so much fun and everyday is a new surprise.  It's not the "cleanest" thing to do, but the sky is literally the limit when you start.  Be sure that you use tools, containers, etc...that will be used specifically for your dye room and to not just grab something from the kitchen to use and put it back when you're done <br/>

### **Famous people (In spanish)**

![describe what you see in this image](../images/week04/4.png){ width=350 align=left }
**ANABEL TORRES**
<br/>
Fashion designer and textile artist Anabel Torres, through her brand Antesis, designs and sells sustainably hand-dyed items. In her first course at Domestika, Anabel teaches the technique of textile dyeing with natural pigments. <br/>
You can follow her work on <a href="https://www.instagram.com/antesis/">Instagram</a>
<br/>
<br/>

### **Domestika**
In this live from Domestika she explains some details that we must consider during our natural **dyeing practices**.
<br/>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/bNm5LyVzpzU?si=7Pn1hAotZ6PwwmCg" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


## **FABRICS**
Fabrics that can be dyed are those made from natural or protein fibres, such as **cotton, linen, wool, silk, hemp and esparto grass.** Fabrics containing up to 50% polyester or acrylic can also be dyed. <br/>
Synthetic fabrics such as polyamide, elastane, lycra or nylon cannot be dyed. Also, stitching and seams, which are usually sewn with polyester threads, will not be dyed. To dye fabrics, a natural dye extracted from food can be used. <br/>


We selected **wool and raw blanket** to work on this exercise and since our goal was to create a kind of color wheel, we decided to cut 10x10 cm squares with the laser cutter.<br/>
To cut this materials with laser I used the following parameters:<br/>
**Max POWER: 35** <br/>
**Min POWER: 25** <br/>
**Work SPEED mm/s: 60** <br/>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/UxCo-UOYL5Y?si=X9ZmlL68kDlr6B82" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

## **COLOR**
In Mexico we have a great diversity of dye plants, in which yellow colors dominate. In any region of our country we find plants or flowers from which this color is extracted; there are also ochres, blues, reds, violets and blacks produced from indigo, cochineal and brazilwood. <br/>

For our dyeing practice we selected flowers and fruits that we could find around us, for example:

<figure markdown>
 ![Laser cut](../images/week04/3.png){ width=550}
  <figcaption></figcaption>
</figure>

## **DYEING PROCESS**

### **Fabric Preparation**
![describe what you see in this image](../images/week04/5.png){ width=250 align=left }
<br/>

**Washing** <br/>

Before dyeing, it's essential to wash the fabric thoroughly to remove any dirt, oils, or finishes that may be present.
Use a mild detergent and avoid fabric softeners, as they can affect the absorption of the color. 

**Mordanting (Fixing the Color)** <br/>

Plant pigments don't adhere well to the fabric fibers without a mordant. Mordanting helps to fix the color onto the fabric, ensuring it's more durable and resistant to fading from washing. <br/>
<br/>
<br/>
<br/>

**Common Mordants:**<br/>

**Alum:** A widely used mordant, suitable for most plant-based fibers like cotton and linen.<br/>
**Tannin or cream of tartar:** Often used in combination with alum for brighter effects.<br/>
**Iron Mordant:** Produces darker, more muted colors and is often used in dyeing with plants like oak or ivy.<br/>
**Vinegar and Salt:** In some cases, homemade mordants using vinegar or salt can be used, although results may vary.<br/>
<br/>


**How to Prepare the Mordant:**

Dissolve the mordant (e.g., alum) in hot water. The typical ratio is about 15-20 grams of alum per 100 grams of fabric.
Soak the fabric in the mordant solution for at least 1-2 hours. Some people prefer to leave it overnight.
After soaking, rinse the fabric well before moving on to the next step.
<br/>

### **Material Infusion**

**Preparing the Natural Material**

**Dry or Fresh:** The first step is deciding whether to use fresh or dried plants. Dried materials are generally recommended because their pigments tend to be more concentrated and are easier to store. If using fresh plants, make sure they are clean and free of mold. <br/>

**Chop or Crush:** To release the pigments more effectively, you'll need to chop, crush, or mash the plants, flowers, roots, etc. The smaller the pieces, the easier it is for the pigments to be released into the water. Some people use a mortar and pestle to crush the plants, while others simply cut them finely with scissors or a knife.


**Preparing the Dye**

The next step is to extract the pigment from the plants. This can be done through "infusion" or boiling, depending on the material.

**Boiling:**

- Place the plant material **(around 100-150 grams per 500 ml of water)** in a pot. <br/>
- Cover with water (preferably rainwater or distilled water) and bring to a simmer.<br/>
- Let it cook at a low heat for 1-2 hours, stirring occasionally. Some plants require more time, so check if the color is being extracted well.<br/>
- Once the color has concentrated, turn off the heat and let the mixture cool.<br/>

**Infusion (for more delicate plants):**

- For more delicate plants like flowers, herbs, or fruits, use the infusion method instead of boiling. Place the plant material in a container and pour hot water **(not boiling)** over it.<br/>
- Let it steep for 24-48 hours to allow the pigments to be extracted slowly.<br/>
- After that time, strain the mixture to remove the solid plant material.<br/>

**Straining the Dye**

Once the pigments have been extracted, strain the mixture using a fine sieve or cloth to remove any solid plant parts. What remains will be the dye that you’ll use to color the fabric.

<figure markdown>
 ![Laser cut](../images/week04/6.1.png){ width=580}
  <figcaption></figcaption>
</figure>

### **Color Testing**
In our experiment with natural dyes, we conducted color tests using two common chemical solutions: **sodium hydroxide (NaOH) and hydrochloric acid (HCl).** These substances are useful for modifying the pH of the dye bath and observing how they affect the color of natural pigments. <br/>

The main goal of these tests was to study how the pH of the solution influences the shade of color obtained when dyeing fabric with natural pigments. We know that pH can alter the chemical structure of compounds in natural dyes, leading to significant variations in the final color. <br/>

**Conclusions**

The use of sodium hydroxide and hydrochloric acid in the color tests demonstrated how pH can significantly influence the results of dyeing with natural pigments. These results help us better understand how to manipulate the colors we obtain and adjust the conditions of the dyeing process to achieve the desired shades. <br/>

Adjusting the pH—whether more acidic or more alkaline—proves to be a powerful tool for experimenting with tones and hues when working with natural dyes, offering greater versatility and control in our dyeing projects.

<figure markdown>
 ![Laser cut](../images/week04/7.png){ width=580}
  <figcaption></figcaption>
</figure>

### **Fabric Dyeing**

**Soak the Fabric:** Once you have the dye ready, soak the fabric in the dye bath. Make sure the fabric is fully submerged and covers all areas evenly.<br/>
**Boil the Fabric:** If necessary, you can boil the fabric in the dye bath for 30-60 minutes to ensure the color sticks well.<br/>
**Let it Rest:** Allow the fabric to sit in the dye bath until you achieve the desired color.<br/>
**Drying:** Rinse the fabric in cold water until the water runs clear, then hang it to dry. Keep in mind that the final color may be darker once the fabric has dried.<br/>

<figure markdown>
 ![Laser cut](../images/week04/8.png){ width=580}
  <figcaption></figcaption>
</figure>
<br/>

### **Bougainvillea dyeing**
Process recorded by <a href="https://class.textile-academy.org/2025/maricruz-garcia/assignments/week04/">Maricruz Chavez</a> <br/>

<div style="text-align: center;">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQq_ttv1QYjLowlwt8znEVPzITJGGxAGca_gpkDISxbWoJENJ2Agd41oPNvsEdK0qm2Cr8zQWyBsGsK/embed?start=false&loop=false&delayms=3000" frameborder="0" width="660" height="449" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</div>


## **COLOR PALETTE**

![describe what you see in this image](../images/week04/9.png){ width=400 align=right }

1.- Turmeric <br/>
2.- Turmeric + sodium hydroxide <br/>
3.- Achiote + Hydrochloric acid <br/>
4.- Achiote <br/>
5.- Turmeric concentrated <br/>
6.-Bougainvillea + Hydrochloric acid <br/>
7.- Hibiscus concentrated <br/>
8.- Bougainvillea <br/>
9.- Muicle leaves dilute <br/>
10.- Muicle leaves concentrated <br/>
11.- Indigo + Hydrochloric acid <br/>
12.- Indigo concentrated <br/>
13.- Indigo <br/>
14.- Muicle leaves + Hydrochloric acid <br/>
15.- Hibiscus dilute + achiote <br/>
16.- Avocado seed + hibiscus dilute <br/>



## **COLOR INK**

**Process of Creating Powdered Pigment from Dried Bougainvillea Flowers**
To create a powdered pigment from bougainvillea flowers, I followed a detailed process that allowed me to achieve a satisfactory result. Below, I describe the steps I took:

**Dehydrating the Flowers**
I started by collecting bougainvillea flowers and, to ensure they were completely dry, I used a food dehydrator. I set the temperature to approximately 50°C (122°F) and left the flowers to dry for about 4 hours. This step was essential to ensure the flowers were free of moisture, allowing for effective pigment extraction. After the drying process, the flowers were completely dried.

<figure markdown>
 ![Laser cut](../images/week04/10.jpg){ width=680}
  <figcaption></figcaption>
</figure>
<br/>

**Grinding the Flowers**
Once the flowers were dried, I placed them in a blender to crush them. This method allowed me to obtain a coarse powder. I chose the blender because it allowed me to process a large amount of flowers quickly and efficiently. The result was a powder of dried flowers that I then weighed to calculate the proportions of the other ingredients.

<figure markdown>
 ![Laser cut](../images/week04/11.jpg){ width=680}
  <figcaption></figcaption>
</figure>
<br/>

**Weighing and Calculating Proportions**
I weighed the powdered flowers and based on this weight, I calculated the exact amount of alum and baking soda to add. To do this, I divided the total weight by four and used that amount as the base for the alum. Then, I calculated half of that quarter portion for the baking soda.

**Adding Alum and Baking Soda**
I proceeded to add alum, in an amount equal to one-quarter of the total weight of the flower powder. Alum acted as a mordant, helping to fix the color of the flowers and ensuring the pigment would be more durable. Afterward, I added half of that same amount in baking soda. Baking soda has an alkaline effect that can slightly alter the pigment’s tone, making it more intense and vibrant.

**Final Drying**
After mixing the alum and baking soda with the flower powder, I let the mixture dry completely. This step was crucial to avoid any excess moisture affecting the texture of the powdered pigment. If the powder still retained some moisture, I dried it in the oven at a low temperature (about 50-60°C or 122-140°F) to ensure it was completely dry.

<figure markdown>
 ![Laser cut](../images/week04/12.jpg){ width=680}
  <figcaption></figcaption>
</figure>
<br/>

Finely Grinding
Once the mixture was dry, I sifted the powder to remove any lumps or large pieces. If the powder wasn’t fine enough, I ground it again in the blender to achieve a smoother, more uniform texture.

Storage
Finally, I stored the pigment in an airtight container to protect it from moisture or air that could affect its quality. By ensuring the powder was completely dry before storing it, I was able to preserve its color and properties.


## **RETROEVAPORATION to Obtain Pigment Powder (Alternative)**

While letting a solution naturally dry until it turns into powder is a simpler option, it can be a lengthy process, especially if you have a large volume of liquid. Additionally, natural evaporation might not be as controlled and could lead to the loss of valuable pigment compounds due to high temperatures or exposure to air. Retroevaporation is a more efficient technique that, when using a retroevaporation machine, allows you to concentrate the solution more quickly and with better control.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/HwQqOBGvOU8?si=z1nJblmG48RMZaZ_" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

### **How does this process work?**

**Controlled Evaporation of the Solution**<br/>

- The solution you obtained by boiling the flowers is placed in the evaporator of the retroevaporation machine. In this part of the machine, controlled heat is applied.<br/>
- The heat causes the water **(or solvent you're using)** in the solution to evaporate, separating the vapor from the pigment dissolved in the solution.

**Condensation of the Vapor**<br/> 

- As the vapor rises, it meets a condenser inside the machine. Here, the vapor cools down and condenses back into a liquid.<br/>
- This condensed liquid is returned to the original solution, thanks to a system that facilitates retroevaporation, meaning that the vapor generated in the process doesn't get lost but instead is reincorporated into the liquid to help continue the concentration.

**Recirculation of the Liquid and Concentration**<br/>

- This evaporation-condensation process is repeated, so the vapor generated does not get lost but condenses and returns to the original liquid. With each cycle, the solution becomes more concentrated as the evaporation continues, but the volume of water **(or solvent)** stays balanced.<br/>
- This retroevaporation cycle speeds up the concentration process without losing pigment compounds, as the system is designed to keep most of the liquid circulating.

**Obtaining Concentrated Pigment**<br/>

- As the solution’s volume decreases due to evaporation, the pigment becomes more concentrated. Eventually, the solution will be concentrated enough, and you can proceed to dry it completely, either by air drying or using a dehydrator or oven at a low temperature (around 50-60°C), to turn it into pigment powder.

**Benefits** <br/>

- Speed: The retroevaporation process allows you to concentrate the solution much faster than letting it dry naturally.<br/>
- Temperature Control: Since the system is closed and controlled, you can avoid degrading the pigment due to excessive heat.<br/>
- Solvent Recovery: The condensed liquid returns to the system, minimizing the loss of water or solvent, making the process more efficient.




<br/>








