# 5. E-textiles

![Portada](../images/week05/1.png)


**E-textiles** (or electronic textiles) are fabrics that integrate electronic components, allowing them to perform smart or interactive functions. These textiles are capable of detecting, responding, and even storing information through the incorporation of circuits, sensors, and other electronic devices within the threads or fibers of the fabric itself.
<br/>

### **SOFT ELECTRONICS - Helen Leigh**
<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/ZGZT_JqfzpQ?si=AUoiznnBtSiFqmPB" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


### **MAIN CHARACTERISTICS:**
**Electrical conductivity:** The threads or fibers of e-textiles are often made from conductive materials or have special coatings that allow the transmission of electricity. This makes them capable of integrating circuits and electronic devices.
<br/>

**Integrated sensors and actuators:** They may include motion, temperature, pressure sensors, and even biometric monitors like heart rate sensors. These devices can collect data from the environment or the body and send it to a processing system.
<br/>

**Wireless connectivity:** Many e-textiles are capable of connecting to other electronic devices, such as phones or computers, using technologies like Bluetooth or Wi-Fi to transmit data or receive instructions.
<br/>

**Comfort and flexibility:** Unlike other electronic devices, e-textiles are designed to be soft, lightweight, and flexible, making them comfortable to wear as clothing or accessories without losing their technological functionality.
<br/>

### **APPLICATIONS**

![describe what you see in this image](../images/week05/2.png){ width=250 align=Right }

### **The House of Rox**
The combination of electronics and textiles opens a world of possibilities that only the most creative minds know how to take advantage of.
One day, while searching for content on tiktok, I came across the profile of a character who does DRAG in a very interesting way. <br/>

<a href="https://www.silverrox.co.uk/">The House of Rox</a> is the culmination of years of dedication by <a href="https://www.instagram.com/silver__rox/">Silver Rox</a>, the guiding force behind our creative family. His pursuit of perfection spans makeup, sewing, confection, and bringing his vivid imagination to life through 3D rendering. This vibrant creative energy attracted Alan, with his natural flair for creativity, and later Hex joined our team.

### **The shiny Jacket**

||| 
|:-----------------:|:---------------:| 
|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@waddaboutya/video/7426092680549109024" data-video-id="7426092680549109024" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@waddaboutya" href="https://www.tiktok.com/@waddaboutya?refer=embed">@waddaboutya</a> Replying to @rocknrollbeautyqueen I started this 5 months ago <a title="beetlejuice" target="_blank" href="https://www.tiktok.com/tag/beetlejuice?refer=embed">#beetlejuice</a> <a title="halloweencostume" target="_blank" href="https://www.tiktok.com/tag/halloweencostume?refer=embed">#halloweencostume</a> <a title="dragking" target="_blank" href="https://www.tiktok.com/tag/dragking?refer=embed">#dragking</a> <a target="_blank" title="♬ Main Titles - From &#34;Beetlejuice&#34; Soundtrack - Danny Elfman" href="https://www.tiktok.com/music/Main-Titles-From-Beetlejuice-Soundtrack-6938273960823883777?refer=embed">♬ Main Titles - From &#34;Beetlejuice&#34; Soundtrack - Danny Elfman</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@waddaboutya/video/7419046941050391840" data-video-id="7419046941050391840" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@waddaboutya" href="https://www.tiktok.com/@waddaboutya?refer=embed">@waddaboutya</a> Would you wear this Jacket? £1 raffal up now ✌️ <a title="thesimpsons" target="_blank" href="https://www.tiktok.com/tag/thesimpsons?refer=embed">#thesimpsons</a> <a title="upcycle" target="_blank" href="https://www.tiktok.com/tag/upcycle?refer=embed">#upcycle</a> <a title="vinted" target="_blank" href="https://www.tiktok.com/tag/vinted?refer=embed">#vinted</a> <a title="hotnashvillenights" target="_blank" href="https://www.tiktok.com/tag/hotnashvillenights?refer=embed">#hotnashvillenights</a> <a target="_blank" title="♬ original sound - Silver Rox" href="https://www.tiktok.com/music/original-sound-7419046980672178977?refer=embed">♬ original sound - Silver Rox</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|

<br/>


### **Primrose Dress | Adobe**
The Primrose Dress is an interactive digital art project created by Adobe, where creativity is combined with artificial intelligence and machine learning. The purpose of this project is to explore the fusion of technology with fashion design through a digital dress that can evolve and transform dynamically in response to different inputs.
<br/>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/s5f4ak_iMPg?si=CHXKx8YR9Np2aVfD" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>

## **LET´S MAKE E-TEXTILES**

### **The microcontroller**
The Seeed Studio <a href="https://wiki.seeedstudio.com/XIAO-RP2040/">XIAO RP2040</a> is a compact microcontroller featuring a dual-core ARM Cortex M0+ processor, running up to 133 MHz. It offers 264KB of SRAM, 2MB of flash memory, and multiple interfaces, including 14 GPIO pins, I2C, UART, and SPI. Its small size (21x17.8mm) makes it ideal for wearable and small projects. Compatible with programming platforms like MicroPython, Arduino, and CircuitPython, it is designed for flexibility and ease of use in electronics projects.

<figure markdown>
 ![Laser cut](../images/week05/7.jpg){ width=680}
  <figcaption></figcaption>
</figure>

<br/>

### **The Schematic**
There are different design programs to create the schematics but, Kicad is much easier and free. <br/>

To download Kicad <a href="https://www.kicad.org/download//">click here!</a> 

<figure markdown>
 ![Laser cut](../images/week05/3.jpg){ width=680}
  <figcaption></figcaption>
</figure>

I did different practices to understand how I could use different conductive materials like thread, cable, conductive tape and metal buttons. And the first thing was to do a "BLINk TEST" to know that the connections I had made without soldering worked.  
<br/>
So once I checked that it worked well. I included a servo motor and worked on 2 codes, one to turn on the leds with the button and another to move the servo motor at the same time.

### **The components**
<figure markdown>
 ![Laser cut](../images/week05/5.jpg){ width=580}
  <figcaption></figcaption>
</figure>

## **BLINK TEST**
### **Arduino code**
```cpp
void setup() {
 pinMode(D0, OUTPUT);

}

void loop() {
  digitalWrite(D0, HIGH);
  delay(1000);
  dgitialWrite(D0, LOW);
  delay(1000);
}
```

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/ss1Gl2jZdes?si=jWDd05Djee6YKLqX" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

### **The Schematic**
<figure markdown>
 ![Laser cut](../images/week05/4.jpg){ width=680}
  <figcaption></figcaption>
</figure>


### **The components**
<figure markdown>
 ![Laser cut](../images/week05/6.jpg){ width=580}
  <figcaption></figcaption>
</figure>


## **PROGRAM (3 Leds & button)**
### **Arduino code**

```cpp
int state;
void setup() {

 pinMode(D1, INPUT);
 pinMode(D0, OUTPUT);
 pinMode(D6, OUTPUT);
 pinMode(D7, OUTPUT);

}

void loop() {
  state=digitalRead(D1);
  if(state==HIGH)
  {
    digitalWrite(D0, HIGH);
    digitalWrite(D6, HIGH);
    digitalWrite(D7, HIGH);
  }
  else{
    digitalWrite(D0, LOW);
    digitalWrite(D6, LOW);
    digitalWrite(D7, LOW);    
  }

}

```



## **PROGRAM (3 Leds & button + servomotor)**

### **Arduino code**

```cpp

#include <Servo.h>
Servo raul;

int servoPin = D2;
int state;
void setup() {

 raul.attach(servoPin);
 pinMode(D1, INPUT);
 pinMode(D0, OUTPUT);
 pinMode(D6, OUTPUT);
 pinMode(D7, OUTPUT);
}

void loop() {
  state=digitalRead(D1);
  if(state==HIGH)
  {
    digitalWrite(D0, HIGH);
    digitalWrite(D6, HIGH);
    digitalWrite(D7, HIGH);
  }
  else{
    digitalWrite(D0, LOW);
    digitalWrite(D6, LOW);
    digitalWrite(D7, LOW);   
  }
  {
    raul.write(0);
    delay (1000);
    raul.write(180);
    delay(1000);
  }
}
``` 

## **CONNECTION TEST**

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/2t7uPmeu1sY?si=qILCFmuds_TNoCjs" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>



## **NEOPIXELS**
### **The lavender flower**
For this exercise I used a leather template designed by my friend Maricruz and used copper wire to create the joints and with a little solder I fixed the microcontroller. It looks like a spider but it helped me a lot to make the connections and tests in a faster way.

<figure markdown>
 ![Laser cut](../images/week05/11.jpg){ width=480}
  <figcaption></figcaption>
</figure>

### **The microcontroller**
<figure markdown>
 ![Laser cut](../images/week05/12.jpg){ width=580}
  <figcaption></figcaption>
</figure>

### **Arduino code**
```cpp
#include <Adafruit_NeoPixel.h>

#define PIN            D7
#define NUMPIXELS      4

Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  strip.begin();
  strip.show(); 
}

void loop() {
  for(int i = 0; i < NUMPIXELS; i++) {
    strip.setPixelColor(i, strip.Color(255, 0, 0));  // Red
    strip.show();
    delay(100);
    strip.setPixelColor(i, strip.Color(0, 255, 0));  // Green
    strip.show();
    delay(100);
    strip.setPixelColor(i, strip.Color(0, 0, 255));  // Blue
    strip.show();
    delay(100);
  }
  
  // LEDs OFF
  strip.clear();
  strip.show();
  delay(500);
}
``` 
<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/un7Lp4gXuc0?si=QBn_3YO_2_hGSzNJ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/BDpAPGV9-GM?si=fwF0MfLEFPRt_Qla" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>

## **COPPER TAPE + LEDS**

In this exercise I used conductive copper tape and attached it with the sewing machine to a piece of textile with a zipper to see how the tracks worked if they surrounded the entire piece. And to turn on the LEDs I used a 3-volt battery and I used some alligator clips and a magnetic button to create a switch.

<figure markdown>
 ![Laser cut](../images/week05/8.jpg){ width=580}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/YFNG_XDT9x8?si=9HRW4dgypcKu8hOM" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>
<br/>

## **FORCE SENSOR (VELOSTAT)**
For my final practice, I made a force sensor out of a teddy bear. So I made a mini t-shirt and attached the force sensor behind the pocket and used wires to connect the components.
<br/>

For the code I read the signal with the serial monitor to know the range I should use. That way, when you push the bear its heart will turn on.

### **The Schematic - Bear heart**

<figure markdown>
 ![Laser cut](../images/week05/9.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **The components**
<figure markdown>
 ![Laser cut](../images/week05/10.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **Arduino code**
```cpp
int sensor_fuerza= D0;
int led=D7;
int lectura;
int brillo;
void setup()
{ 
  
  pinMode(led, OUTPUT);
  Serial.begin(9600);
}

void loop()
{
lectura = analogRead(sensor_fuerza); // Resistance equals sensor reading (Analog 0)
Serial.print("Lectura Analogica = ");
Serial.println(lectura); 
// Change the analog reading range (500-1023)
// We use in analogWrite 8 bits (0-255) configured in the map
brillo = map(lectura, 500, 1023, 0, 80);
analogWrite(led, brillo); 
delay(100); //One hundred “ms” wait on each reading
}
``` 

### **Serial communication**
<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/Q2Qyfktr36Y?si=7dYFPmxkgHRwAO_2" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>
<br/>

### **The final result**
<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/XLiGh1wwwVM?si=IO-dpg7sQWjWVOjE" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>



<br/>
<br/>