# 6. Computational Couture

![Portada](../images/week06/1.png)

Parametric design and 3D printing are transforming the fashion industry, enabling unprecedented creativity and large-scale customization. Parametric design is based on algorithms that allow for the manipulation of shapes and structures through specific parameters, facilitating the creation of complex and adaptive patterns. When combined with 3D printing, this methodology enables the production of unique, tailored pieces, optimizing both the design process and manufacturing.

## **3D PRINT FASHION**

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/4j6iZDKpwTQ?si=g0MGjcRDRgvGTlPL" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


In fashion, this translates to the ability to create garments that not only fit the human body precisely but also respond to trends and market demands more swiftly. Additionally, 3D printing contributes to sustainability by reducing material waste, as it allows for the production of only what is necessary.


## **APPLICATIONS**

### **Blin Blin**
![describe what you see in this image](../images/week06/2.jpg){ width=290 align=right }

The CEO and founder of the design and technology studio Zinkin is the creator of the 3D printed jewelry brand, <a href="https://blinblinxfec.com/">BLIN’BLIN x FEC</a>,“oversized and comfortable clothing, inspired by music and urban culture.”
<br/>
<br/>
The creation of her brand of accessories inspired by Funk, Love & Tech and the entire journey she developed are captured in the DNA of the brand, which led her to be part of the "50 most creative in Peru" by Forbes Peru.
<br/>
You can follow her work on <a href="https://www.instagram.com/fecdivine/">Instagram</a>
<br/>
<br/>
<br/>

||| 
|:-----------------:|:---------------:|
|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@fecescajadillo/video/7312914386987781382" data-video-id="7312914386987781382" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@fecescajadillo" href="https://www.tiktok.com/@fecescajadillo?refer=embed">@fecescajadillo</a> 2023 <a title="blinblinxfec" target="_blank" href="https://www.tiktok.com/tag/blinblinxfec?refer=embed">#BlinBlinxFec</a> <a target="_blank" title="♬ sonido original - FEC" href="https://www.tiktok.com/music/sonido-original-7312914418945395462?refer=embed">♬ sonido original - FEC</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>| <blockquote class="tiktok-embed" cite="https://www.tiktok.com/@fecescajadillo/video/7407206796705664262" data-video-id="7407206796705664262" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@fecescajadillo" href="https://www.tiktok.com/@fecescajadillo?refer=embed">@fecescajadillo</a> Time To Bloom 🥰🌟 @BlinBlinxfec | Accesorios 3D representando mel lado Maker en la pasarela de la expoindustrial ✊🏼 <a title="3dprinting" target="_blank" href="https://www.tiktok.com/tag/3dprinting?refer=embed">#3dprinting</a> <a title="blinblin" target="_blank" href="https://www.tiktok.com/tag/blinblin?refer=embed">#blinblin</a> <a title="fec" target="_blank" href="https://www.tiktok.com/tag/fec?refer=embed">#fec</a> <a title="diseñadora" target="_blank" href="https://www.tiktok.com/tag/dise%C3%B1adora?refer=embed">#diseñadora</a> <a title="artista" target="_blank" href="https://www.tiktok.com/tag/artista?refer=embed">#artista</a> <a title="pasarelatiktok" target="_blank" href="https://www.tiktok.com/tag/pasarelatiktok?refer=embed">#pasarelatiktok</a> <a title="pasarela" target="_blank" href="https://www.tiktok.com/tag/pasarela?refer=embed">#pasarela</a> <a title="piezasunicas" target="_blank" href="https://www.tiktok.com/tag/piezasunicas?refer=embed">#piezasunicas</a> <a target="_blank" title="♬ sonido original - FEC" href="https://www.tiktok.com/music/sonido-original-7407206805371194117?refer=embed">♬ sonido original - FEC</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|

<br/>

## **FUSED DEPOSITION MODELING**

![describe what you see in this image](../images/week06/Impresora.png){ width=260 align=right }

FDM 3D printing, or Fused Deposition Modeling, is a 3D printing process that uses thermoplastic filament through an extruder that heats, melts, and extrudes the plastic through a fine nozzle.
<br/>
<br>
- It is compatible with many thermoplastic polymers, such as PLA, ABS, PET, ASA, PVA, and nylon. <br/>
- Filaments are available in diameters of 1.75 mm or 2.85 mm, and standard nozzles have a diameter of 0.4 mm. <br/>

However, FDM 3D printing also has some disadvantages:
<br>
<br>
- The print resolutions are lower, so layer lines may sometimes appear on the surface.
<br/>
- It is prone to temperature fluctuations, which can cause surface delamination.
<br/>
- Any issues with the print head or the extrusion system can lead to problems during the print.

For this exercise I used an <a href="https://www.creality.com/es/products/creality-ender-3-s1-pro-fdm-3d-printer">**Ender S1 Pro 3D printer**</a>, because its structure is more versatile for printing small scale parts. And refilling the filament is more comfortable.


### **3D print filaments**

| MATERIAL | APPLICATION | PRINT TEMPERATURE | BED TEMPERATURE |
|:------------: |:---------------:| :--------------:| :--------------:| 
|**PLA** <br/> Easy to print, enviromentally friendly, degradable, low shrinkage, high tensile stregth, variety in color|Medical devices, food handling, packaging, automotive components|190 -220°c|50 -70°c|
|**ABS** <br/> High rigidity, good heat resistance, good impact resistance, good weldability, good abrasion and strain resistance, high shrinkage |Home appliances, building and construction, fittings, housings, pipes, automotive components, electronics|230 -250°c |80 -120°c |
|**TPU** <br/> High elasticity, high abrasion resistance, high shear strength, transparency, oil and grease resistance, high shrinkage| Automotive components, sporting equipment, medical devices,outer cases, seals, gaskets, tubes, hoses | 240 -260°c | 40 -60°c|
|**PET-G** <br/> Easy to print, good thoughness, good transparency, good heat resistance, good water resistance, good chemical resistance, low shrinkage,high tensile strenght, recyclable|Food and drink containers , medical and pharmaceutical devices, retail stands and displays, machine guards | 230 -255°c | 50 -70°c|


<br/>


## **ULTIMAKER CURA**

To prepare the file, the part must be exported as STL and prepared in the <a href="https://ultimaker.com/es/software/ultimaker-cura/">Ultimaker Cura software</a>, which allows you to prepare files for various filament printers. The properties of each printer are different, so it is important that you make sure you select the appropriate printer.

<figure markdown>
 ![Laser cut](../images/week06/20.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **The basic settings**

Ultimaker cura allows you to edit variables in different formats, from the most basic to something more detailed.
Something important is that each piece will have a different configuration depending on its characteristics and the result we are looking for in relation to quality, printing time, strength of the piece, among others.
<br/>

| SETTINGS | DESCRIPTION | 
|:------------: |:---------------:| 
|**Quality**| The quality defines the thickness of the material in each layer. Consider that the lower the parameter, the higher quality you will obtain, although it will take longer.|
|**Walls**| The walls define the thickness of the layers that you can have inside or outside the piece. If you want to give your piece a finish, you should use more walls, because by sanding the piece you eliminate part of the material.|
|**Top / Bottom**|Depending on the piece, you may need the first or last layers to be more solid, so you can modify the quality to ensure a greater concentration of material in those layers.|
|**Material**|Modify the temperature depending on the type of material you use. In the following table you will find some temperature parameters for different filaments.|
|**Speed**| The printing speed not only defines how fast the printing will be, some materials require the speed to be very slow, such as TPU which has a more viscous consistency.|
|**Travel**| In some cases, in the travel configuration, you must activate or deactivate the material retraction, to ensure the correct fluidity of the material and avoid unnecessary details in the print.|
|**Infill**| Modify the filling of the piece to make it lighter or denser.There are different types of filling that can ensure the quality of your piece.|
|**Plate adhesion**| This may be the most important variable, since the correct temperature of the printing plate helps the first layers of filament to adhere, avoiding errors in the extruder path. In the following table you can see the recommended parameters for the temperature of the printing bed depending on the material.|


## **TPU (Thermoplastic Polyurethane)**

### **Flexible textures**

For my first test, I drew a square measuring 10x10 cm with a thickness of 0.6 mm to achieve a texture similar to that of a thick fabric.

To achieve this effect, the top layers must be removed so that the infill texture is visible. Ultimaker Cura has different infill options that can modify its structure by changing the density and distance parameters. In this case, I selected the "Gyroid" infill because I find it to be a very interesting texture.

<figure markdown>
 ![Laser cut](../images/week06/11.png){ width=680}
  <figcaption></figcaption>
</figure>


I used 2 types of materials with similar properties to contrast the results:
<br/>

**TPU:** <br/>

**Flexibility:** Highly flexible and elastic.<br/>
**Durability:** Offers good resistance to wear and abrasion.<br/>
**Finish:** Generally has a matte finish and can be a bit more challenging to print due to its flexible nature.<br/>

**TPU Silk**

**Shiny Finish:** Has a more glossy and smooth finish, similar to silk, giving it an attractive aesthetic.<br/>
**Flexibility:** Also flexible, but may have a softer, silkier texture compared to standard TPU.<br/>
**Printing:** Often easier to print than regular TPU, thanks to its improved properties.<br/>
<br/>
In summary, the main difference lies in the finish and ease of printing, with TPU Silk offering a more appealing look and potentially a better printing experience.

<figure markdown>
 ![Laser cut](../images/week06/12.png){ width=680}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/nLz8_3-1YNY?si=beBKDYB42bCqq0gO" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>
<br/>

### **Mesh Effect**
In a second test, I decided to work with White TPU, but this time, I eliminated the bottom and top layers so that only the infill could be printed. And since you need to eliminate some layers, change the thickness of the piece to 0.8 mm
<br/>
I loved the final result, in addition to being flexible, the pattern allows the piece to have elasticity.

<figure markdown>
 ![Laser cut](../images/week06/13.png){ width=680}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/nRAJ-h0qNNI?si=OCdpQLbHPL55bxms" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>
<br/>

### **Printing on fabric**
Printing on fabric was a real challenge, since you must consider that the material integration will depend on the fabric type that you select.
<br/>
Porous fabrics are especially good for printing because they allow the filament to adhere better. Here are some types of porous fabrics that usually work well: <br/>

**Polyester mesh:** It's lightweight and has good porosity, allowing for good filament adhesion. <br/>

**Cotton fabrics:** Loose-woven or knitted cotton fabrics can allow the filament to integrate better. <br/>

**Felt:** Although not very porous, felt can provide a good surface for printing due to its texture. <br/>

<figure markdown>
 ![Laser cut](../images/week06/14.png){ width=680}
  <figcaption></figcaption>
</figure>

To fuse the materials, you need to set a pause during the print, arrange and secure the fabric to ensure that it gets trapped between the layers of filament. Ultimaker Cura has a post-processing option that allows you to configure the G-code, and for this test, I used the "Pause at height" option with the following settings:

Pause at: Layer Number <br/>
Pause layer: 1 <br/>
Standby Temperature: 230 <br/>
Method: BQ (m25) <br/>

The M25 command is used to pause the print. This allows the printer to stop the movement of the nozzle and maintain the temperature of the extruder, which is useful to prevent the filament from cooling down and causing blockages.
<br/>

**NOTE:** Be careful with fixing the fabric because if it wrinkles, the extruder could drag the fabric and ruin the result.

<figure markdown>
 ![Laser cut](../images/week06/15.png){ width=680}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/m6VGCvMZev8?si=6vD6rFkTsj2bN3vy" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>

## **<a href="https://www.rhino3d.com">RHINOCEROS</a> & <a href="https://www.grasshopper3d.com">GRASSHOPPER</a>**


### **Voronoi pattern**

To design parametric solid pieces, I used Rhinoceros and Grasshopper, and with the help of tutorials, I was able to replicate step by step the operations, which I then modified to achieve a different result.
<br/>
For this practice, I used Voronoi in Grasshopper, a tool that allows the generation of Voronoi diagrams, which are a way to divide a space into regions based on proximity to a set of points.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/uUqCHjr8gxk?si=NjTahWny6cb3hjMV" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<figure markdown>
 ![Laser cut](../images/week06/16.png){ width=680}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/week06/17.png){ width=680}
  <figcaption></figcaption>
</figure>

<br/>

### **PLA (Polylactic acid) Jewelry**

For the second Grasshopper practice, I wanted to create a piece of jewelry, so I searched for a tutorial that would help me generate an original piece. Once I reached the final result, I would change the parameters to create something different.
<br/>
In this case, I altered the proportions and the repetition values to create a simpler piece that I could print with PLA. I configured it in Ultimaker Cura to obtain different sizes and textures.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/395IBGa2Y9I?si=Rw245OlcsB5lR5Qf" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<figure markdown>
 ![Laser cut](../images/week06/18.png){ width=680}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/week06/19.png){ width=680}
  <figcaption></figcaption>
</figure>


<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/oJPYPVAt3zk?si=yRZX1ewaWTTpuP7E" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>

<figure markdown>
 ![Laser cut](../images/week06/21.png){ width=680}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/week06/22.png){ width=680}
  <figcaption></figcaption>
</figure>


## **MASKED STEREOLITHOGRAPHY**

![describe what you see in this image](../images/week06/Resina.png){ width=230 align=right }

MSLA is a 3D printing technology known as Masked Stereolithography. In this type of printing, layers are cured simultaneously, and an LCD screen and a series of LEDs are used to light up or turn off specific pixels.
<br/>
<br/>
MSLA printers have some advantages over traditional SLA printers, such as:
<br>
<br/>
- Higher throughput, since the entire layer is cured simultaneously.
<br/>
- Higher speed, especially for high-volume prints.
<br/>
- A large build surface.
<br/>

For this activity use the printer <a href="https://store.anycubic.com/products/photon-mono-m5s">**Anycubic Photon Mono M5s**</a> 

### **Modeliing**
  I took an image as a reference and drew some dragonfly wings in solid works taking into consideration that the piece would make a curvature of approximately 6 cm in diameter. I used the extrude tool and bending operation for the first piece.
 
<figure markdown>
 ![Laser cut](../images/week06/3.png){ width=680}
  <figcaption></figcaption>
</figure>

 And then, with a parallel plane I drew a similar figure but, with another position and with the same extrusion and bending process I managed to make the piece have a second layer. And finally I used an extrusion between both pieces to join them in the center and achieve a floating effect in the second layer.

<figure markdown>
 ![Laser cut](../images/week06/5.png){ width=680}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<div class="sketchfab-embed-wrapper"> <iframe title="Pulsera Libélula" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="540" height="380" src="https://sketchfab.com/models/c81a30917ab643c5af3676106ec6cfa9/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/pulsera-libelula-c81a30917ab643c5af3676106ec6cfa9?utm_medium=embed&utm_campaign=share-popup&utm_content=c81a30917ab643c5af3676106ec6cfa9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Pulsera Libélula </a> by <a href="https://sketchfab.com/raulbabines?utm_medium=embed&utm_campaign=share-popup&utm_content=c81a30917ab643c5af3676106ec6cfa9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> raulbabines </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=c81a30917ab643c5af3676106ec6cfa9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>
</div>




### **Anycubic Photon Workshop**
**How to prepare file to print**

To prepare the file, I downloaded the <a href="https://www.anycubic.es/blogs/videos/photon-workshop">**“Anycubic Photon Workshop”**</a> software and selected the appropriate printer. The interface is very friendly, so I was able to manipulate the piece in the same way as in CURA.
<br/>
The great advantage of printing this type of parts in resin is that the supports are not very invasive, so you only need to position the part at the correct angle and save the code on a USB.

<figure markdown>
 ![Laser cut](../images/week06/6.png){ width=680}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/week06/7.png){ width=680}
  <figcaption></figcaption>
</figure>

### **The process**
**Remember to use gloves and glasses**

1.- When the printing is finished you must change the position of the bed so that the resin drains. <br/>
2.- When you take off the piece, you can remove the supports with your hands or with cutting pliers. <br/>
3.- The piece must be washed with Isopropyl Alcohol to remove resin residues. <br/>
4.- To finish you must cure the piece with the printer complement. **(Curing time 15 min)** <br/>

<figure markdown>
 ![Laser cut](../images/week06/8.png){ width=680}
  <figcaption></figcaption>
</figure>


<figure markdown>
 ![Laser cut](../images/week06/9.png){ width=680}
  <figcaption></figcaption>
</figure>



## **FABRICATION FILES**
[**Parametric mesh**](../files/Week%206/Parametric_mesh.stl) <br/>
[**Earring 3dm**](../files/Week%206/Ring.3dm)<br/>
[**Earring Grasshopper**](../files/Week%206/Ring.gh)<br/>
[**Earring STL**](../files/Week%206/ring.stl)<br/>


