# 7. BioFabricating Materials

![Portada](../images/week07/1.png)


Biomaterials have emerged as one of the most promising areas of research in applied sciences, not only in the field of medicine but also in innovative sectors such as the fashion industry. Traditionally, biomaterials have been associated with their use in healthcare, where their ability to interact favorably with human tissues has led to significant advances in the treatment and rehabilitation of various diseases. However, in recent years, their application has transcended the boundaries of biomedicine and found a fertile ground in the design of textile products and accessories, driving a new era of sustainable and innovative fashion.

## **APPLICATIONS**

### **Famous people (In spanish)**

![describe what you see in this image](../images/week07/2.jpg){ width=200 align=left }
<br/>
**LOANA FLORES**
<br/>
Loana Flores, creator of Ocloya Studio is a clothing designer graduated from the University of Buenos Aires with a postgraduate degree in the sociology of design and different training in sustainability and technologies applied to fashion. <br/>
<br/>
You can follow her work on <a href="https://www.instagram.com/ocloyastudio/?hl=es">Instagram</a>
<br/>
<br/>
<br/>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/Um-wmRL4_kA?si=_4mNzxAjP2pNnFpO" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

### **Great projects**

<a href="https://www.rootfull.com/">Rootfull</a> is a pioneering bio-design project exploring the binding properties of root and aiming to grow memorable artefacts across fashion, art and design that question our material choices and inspire sustainable solutions. 

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/m1NJ_5Ac4lI?si=iOnAYZPRf8WJmdnb" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

## **CRAFTED MATERIALS**
These are materials that are traditionally created through human intervention, often by shaping or manipulating natural resources or synthetic substances. The key feature of craft materials is that they are processed or manufactured to meet specific needs or aesthetic preferences. Craft materials typically involve a significant amount of labor, skill, and manual effort in their production.

### **COFFEE BIOMATERIAL**
Creating a biomaterial using coffee grounds, cornstarch, and vinegar can be a great way to take advantage of recycled and natural materials to produce a material with interesting properties. This recipe is suitable for making a simple, flexible, and biodegradable biomaterial that can be used in craft projects, to create packaging, or even in the manufacture of small objects.

**Ingredients:** <br/>
- 2 tablespoons of ground coffee (I used coffee that I had left over from other uses)
- 2 tablespoons of cornstarch
- 1/2 cup of water
- 1 tablespoon of glycerin (I added this for more flexibility)
- 1 teaspoon of white vinegar (optional, but I used it to give the material more durability)

### **First EPIC FAIL**
At first, I made the mistake of mixing all the ingredients without heating the cornstarch, which caused the mixture to not turn out as expected. The texture didn’t thicken properly, and I didn’t get the paste I was aiming for. Here’s how I fixed the process and successfully made a functional biomaterial.

<figure markdown>
 ![Laser cut](../images/week07/10.jpg){ width=670}
  <figcaption></figcaption>
</figure>


### **Preparing the ingredients:**<br/>
First, I gathered the ingredients I needed: coffee grounds (2 tablespoons), cornstarch (4 tablespoons), white vinegar (1 tablespoon), and water (1 cup). I thought I could just mix them all together, but as I mentioned earlier, by not heating the cornstarch, the mixture didn’t thicken properly.

**Correcting the mistake (by heating the cornstarch):**<br/>
Realizing my mistake, I decided to correct it. So, instead of continuing with the cold mixture, I poured 1 cup of water into a small pot and heated it over medium heat. I then added 4 tablespoons of cornstarch to the hot water, stirring constantly to avoid lumps. As the water began to heat up, the cornstarch started thickening the mixture, just as it was supposed to.

**Adding the vinegar:**<br/>
Once the cornstarch and water mixture started to thicken, I added 1 tablespoon of white vinegar. The vinegar helped give the mixture more stability and firmness, so I stirred it well to incorporate it fully.

**Incorporating the coffee grounds:**<br/>
Next, I added 2 tablespoons of coffee grounds to the thick mixture. The coffee gave it a brown color and added texture, plus it made the material a bit more resilient. I mixed everything thoroughly to ensure the coffee was evenly distributed.

**Adding glycerin (optional):**<br/>
Since I wanted the biomaterial to be a bit more flexible, I decided to add 1 teaspoon of glycerin. The glycerin helped keep the material from becoming too brittle, making it more elastic. I mixed it in well to make sure it was fully integrated.

<figure markdown>
 ![Laser cut](../images/week07/11.jpg){ width=670}
  <figcaption></figcaption>
</figure>


### **Pouring into molds:**<br/>
Once the mixture was ready, I poured it into the molds I had prepared for my Textile Scaffold Week project (Starfish), intending to see which mold would be more convenient for pouring. I used two molds: one made of fiberglass and the other of white silicone. I let the material dry, but as it dried, I noticed it was contracting, which caused cracks to form in the material.

Although the fiberglass mold was the first one I tried, it was the white silicone mold that turned out to be more convenient because it allowed me to remove the material more easily. However, due to the contraction as it dried, the material didn’t set as expected, and the cracks became more noticeable.

<figure markdown>
 ![Laser cut](../images/week07/12.jpg){ width=670}
  <figcaption></figcaption>
</figure>

**Second attempt with gelatin:**<br/>
To correct this issue, I decided to add gelatin to the process. I prepared a mixture of 0.45 grams of gelatin per milliliter of water. After preparing this mixture, I applied it with a brush on both the front and back of the material once I had removed it from the white silicone mold (which turned out to be the most suitable for this casting process). The gelatin helped the material become firmer and more durable, preventing the cracks from forming as it dried.

**Drying and final result:**<br/>
After applying the gelatin, I let the material dry completely. The new layer provided the necessary stability to prevent excessive contraction and cracks. Finally, I was able to cut and shape the biomaterial as I wanted. The result was a flexible, durable, and biodegradable material with a nice brown hue thanks to the coffee.

<figure markdown>
 ![Laser cut](../images/week07/13.jpg){ width=670}
  <figcaption></figcaption>
</figure>

### **Reflection:**<br/>
Although I made the initial mistake of not heating the cornstarch and encountered difficulties with the contraction of the material during drying, I was able to correct these issues. The use of gelatin in the second attempt was key to achieving the right texture and firmness, and the silicone mold turned out to be the best for this process. Now, I have a biomaterial that can be used in various eco-friendly projects like packaging, decorations, or small objects. I’m happy with the final result and learned many valuable lessons throughout the process.
<br/>



## **GROWN MATERIALS**
Grown materials are biologically cultivated or harvested rather than manufactured. These materials are often created using living organisms, and the process relies on natural biological processes for growth, rather than human fabrication. The growing of these materials is inspired by the ways organisms in nature produce substances, like how trees grow wood or how fungi can form structures like mycelium.

### **KOMBUCHA**

I will create a biomaterial using Kombucha culture as the base, a fermented beverage made from tea, sugar, and a colony of bacteria and yeast. The process involves the formation of a dense 'film' known as SCOBY (Symbiotic Culture of Bacteria and Yeast), which is used as the main component of the biomaterial. This material has biodegradable properties and potential applications in areas such as fashion, medicine, and sustainable packaging.

### **Materials**

- Kombucha (can be purchased or homemade, preferably with an active SCOBY). <br/>
- Tea (black or green).<br/>
- Vinegar <br/>
- Sugar (white or brown).<br/>
- Filtered water.<br/>
- Large glass container (preferably at least 3-5 liters).<br/>
- Cloths or filters (to separate the SCOBY).<br/>
- Latex gloves (optional, for handling the SCOBY).<br/>



### **Recommendations and Precautions**

|||
|:-----------------: |:---------------:| 
|**Hygiene**| Keep all equipment and surfaces clean to avoid contamination of the SCOBY with unwanted fungi or bacteria.|
|**Temperature**| Make sure the fermentation environment is between 20-30°C (68-86°F), as very high or low temperatures can affect the process.|
|**Use of Non-contaminating Materials**| Avoid using plastic utensils or non-food-safe materials, as they can alter the pH of the Kombucha and affect the formation of the biomaterial.|
|**Durability Testing**| If the biomaterial will be used for practical applications (e.g., fashion or packaging), test its water resistance, flexibility, and durability to ensure it meets project expectations|
|**Sustainability**| The Kombucha used should be organic to ensure that the biomaterial is fully biodegradable and does not contain chemicals or pesticides.|



### **Tea Preparation**

To begin, I made a small cloth bag with 170 grams of green tea, which helps prevent any residue from remaining in the mixture. **(5 to 6 grams of tea x liter of water).** <br/>
- In a pot, we boiled 5 liters of water along with the tea bag and let it infuse for about 20 minutes.<br/>
- Once the solution was concentrated, we removed the tea bag and squeezed it to ensure the maximum amount of infusion stayed in the pot.

<figure markdown>
 ![Laser cut](../images/week07/3.jpg){ width=670}
  <figcaption></figcaption>
</figure>

- We measured the remaining amount of infusion using a measuring jug and added **13% vinegar of the total solution (30 liters x 0.13)**, and topped it up with room-temperature water until we reached 30 liters.<br/>
**NOTE: It's important not to inoculate the solution when it's hot, as the bacteria could die.** <br/>
- Once the solution was complete, we added sugar **(114 grams per liter)** and stirred the mixture until it was fully dissolved, ready to add the bacteria (SCOBY).<br/>
- We covered the mixture with a clean cloth and sealed it with an elastic band to transport it to a space with high and constant temperature. In our case, we opted for the university's greenhouse.

<figure markdown>
 ![Laser cut](../images/week07/4.jpg){ width=670}
  <figcaption></figcaption>
</figure>

### **Kombucha Fermentation**

The fermentation process is slow, but you have to be very careful because if the SCOBY doesn’t grow, it means something is wrong with the solution or the bacteria died during the process. <br/>

- Once we saw that the SCOBY had grown to about one centimeter thick, we decided to remove it for processing. So, we placed it in another container and **to eliminate the characteristic fermented smell**, we purified it. <br/>

- **To purify the material**, it must be washed 2 or 3 times in a solution of water with **3% chlorine.** (Washing means leaving it in the water for a couple of hours and changing the water until the smell has diminished.) <br/>

<figure markdown>
 ![Laser cut](../images/week07/5.jpg){ width=670}
  <figcaption></figcaption>
</figure>

### **Preparing the Biomaterial**
- Once we purified the material, we washed it with water and proceeded to process it according to our creative vision. In my case, I decided to use organic pigments to change the color of the material.

<figure markdown>
 ![Laser cut](../images/week07/6.jpg){ width=650}
  <figcaption></figcaption>
</figure>

- I cut the material with a knife and divided it into 3 equal parts so that it could be blended using a kitchen blender. <br/>
**NOTE: The material is very fibrous, so you need to add water to blend it more easily, though I think a food processor would be a better option since the blender creates a sort of vacuum between the blades and the jar, which prevents the material from being properly shredded.**

<figure markdown>
 ![Laser cut](../images/week07/7.jpg){ width=650}
  <figcaption></figcaption>
</figure>

- We poured the material into frames typically used in screen printing to help it dry more easily. However, it’s important to consider that if we blended the material with water, the mixture would be more hydrated, so it will take longer to dry. <br/>

- That’s why we used a dryer from the chemical processes laboratory, which helped speed up the drying process. In this case, we left the material for a full day at a temperature of **45°C.**

<figure markdown>
 ![Laser cut](../images/week07/8.jpg){ width=680}
  <figcaption></figcaption>
</figure>

The final result was quite interesting because when the material loses the water it contained, its structure and thickness change significantly. <br/>

- The mixture with spirulina was so fine that when it dried, its texture was similar to paper, but the color was uniform and translucent.<br/>
- The mixture with turmeric turned out to be more resistant because it wasn’t finely ground, but its texture became quite wrinkled, and the color concentrated in the small gaps, which caused it to turn a brownish hue.


<figure markdown>
 ![Laser cut](../images/week07/9.png){ width=600}
  <figcaption></figcaption>
</figure>

### **Color change test**

The biggest surprise came from the experiment I did with thermochromic pigment, which suffered a small accident on the frame. However, the little bit I was able to salvage allowed me to observe how the material reacted to temperature. In this case, I used a pigment that changed color from blue to pink with heat. It’s amazing.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/8AIE_1ADxPw?si=M6NKD92pGS9Xn-vg" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


