# 8. Soft robotics

![Portada](../images/week08/1.png)

In recent years, soft robots have gained significance not only in fields like medicine and industrial robotics but also in innovative sectors such as the textile industry. Unlike conventional robots, which are typically built with rigid materials, soft robots are designed with flexible and deformable materials, allowing them to mimic smooth and adaptive movements similar to those of living organisms. This flexibility offers major advantages in applications that require precision, delicacy, and adaptability—traits that are particularly useful in the manufacturing and handling of textile products.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/AI7M-JTC6_w?si=LlYDRs4rMBYygsN5" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

## **APPLICATIONS**

### **STARSEN KOO**
STARSEN KOO Moon, originally from Seoul and now based in London, is an artist exploring the intersection of sculpture and fashion. The focus lies in creating wearable sculptures using techniques such as casting and robotics, which capture and preserve the fluidity of fabrics.

<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@hazlo_diseno/video/7396803067221495046" data-video-id="7396803067221495046" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@hazlo_diseno" href="https://www.tiktok.com/@hazlo_diseno?refer=embed">@hazlo_diseno</a> La corbata ó escultura en movimiento de Starsen Koo <a title="fashiondesign" target="_blank" href="https://www.tiktok.com/tag/fashiondesign?refer=embed">#fashiondesign</a> <a title="calzado" target="_blank" href="https://www.tiktok.com/tag/calzado?refer=embed">#calzado</a> <a title="tutorial" target="_blank" href="https://www.tiktok.com/tag/tutorial?refer=embed">#tutorial</a> <a title="diseño" target="_blank" href="https://www.tiktok.com/tag/dise%C3%B1o?refer=embed">#diseño</a> <a title="diseñodecalzado" target="_blank" href="https://www.tiktok.com/tag/dise%C3%B1odecalzado?refer=embed">#diseñodecalzado</a> <a title="marroquineria" target="_blank" href="https://www.tiktok.com/tag/marroquineria?refer=embed">#marroquineria</a> <a title="fashiondesigner" target="_blank" href="https://www.tiktok.com/tag/fashiondesigner?refer=embed">#fashiondesigner</a> <a title="shoes" target="_blank" href="https://www.tiktok.com/tag/shoes?refer=embed">#shoes</a> <a title="hazlodiseño" target="_blank" href="https://www.tiktok.com/tag/hazlodise%C3%B1o?refer=embed">#hazlodiseño</a> <a target="_blank" title="♬ Poison - Smokey Bubblin&#39; B" href="https://www.tiktok.com/music/Poison-6969573651335907329?refer=embed">♬ Poison - Smokey Bubblin&#39; B</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>

### **RICK OWENS**
Rick Owens is a designer born in the United States and based in Paris, whose revolutionary collections have earned him the nickname "The Lord of Darkness." He has influenced countless designers, and his gothic aesthetic is characterized by a hybrid between fashion and sportswear, with a gender-neutral design in the season's most fashionable color... always black.

<figure markdown>
 ![Laser cut](../images/week08/2.jpg){ width=680}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/DuDjtpUDSu8?si=XaJ84dZAeGnDhbRo" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>

## **THE CLAW**

### **Design**
To start this project, I designed a three-legged piece in SolidWorks and once the design was completed, I printed a mold in 3D with PLA. 
<br/>

<figure markdown>
 ![Laser cut](../images/week08/6.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **Silicone casting**

<a href="https://www.smooth-on.com/products/ecoflex-00-30/">**Ecoflex™ 00-30 is a Smooth-On**</a> brand silicon, widely used in mold making and soft robotics projects due to its unique properties.
<br/>

#### **Characteristics of Ecoflex™ 00-30:**
| CRITERIA | DESCRIPTION | 
|:-----------------: |:---------------:| 
|**Soft and flexible texture:** | It is a highly flexible silicone that, once cured, has a very soft texture, similar to skin or flexible materials. This makes it ideal for projects that require deformation, such as claws, prosthetics, or soft robotics.|
|**Low Shore hardness (00-30):**| It has a Shore hardness of 30 Shore 00, which places it in the category of very soft silicones. This gives it exceptional ability to deform and return to its original shape, making it ideal for applications where elasticity and flexibility are crucial.|
|**Easy to mix and apply:** | It is mixed in a 1:1 ratio (by weight or volume) between Part A and Part B. This easy mixing and fluid consistency make it easy to pour into complex molds.|
|**High abrasion resistance:** | Ecoflex™ 00-30 is durable and resistant to abrasion, making it suitable for projects that require long-lasting performance or resistance to repeated use.| 
|**Translucent:** | This material is translucent, allowing you to observe the inside of the molded pieces, which is useful for monitoring details and curing.|
|**Low viscosity:** | Its low viscosity allows it to flow easily and capture fine details in intricate molds, which is a great advantage when creating pieces with complex shapes or small details.|
|**Safe and non-toxic:** | Ecoflex™ 00-30 is non-toxic once cured, making it suitable for applications where it will not come into contact with skin or in projects requiring a standard level of safety.| 
|**Heat and cold resistant:** | It has good resistance to both high and low temperatures, making it suitable for a wide range of applications, although it is not resistant to extremely high temperatures or harsh environments.| 
|**Curing time:** | The curing time for Ecoflex™ 00-30 varies, but it generally takes between 4 to 6 hours at room temperature (25°C), and it can be accelerated with heat (around 60°C).|

  
### **Safety Considerations**

| CRITERIA | DESCRIPTION | 
|:-----------------: |:---------------:| 
|**Personal Protection**| **Gloves:** When handling Ecoflex™ 00-30 in its liquid form, it’s recommended to wear nitrile gloves or other resistant materials. This prevents direct skin contact, as prolonged exposure may cause irritation in some individuals, although the material is not generally toxic.<br/>**Eye Protection:** Safety goggles should also be used, especially in areas where splashes or spills might occur.<br/>**Appropriate Clothing:** It’s advisable to wear protective clothing or aprons that cover most exposed skin to avoid spills.|
|**Ventilation**| Ensure you are working in a well-ventilated area. While Ecoflex™ 00-30 does not typically emit hazardous fumes during mixing or curing, adequate ventilation is always important to avoid the buildup of any vapors.<br/> If working with large quantities of material or in confined spaces, consider using a mask with a suitable filter, although the risk of inhaling fumes is low.|
|**Mixing and Application**| Ecoflex™ 00-30 is a two-part system (base resin and catalyst), so it’s crucial to follow the manufacturer’s instructions regarding mixing proportions and curing times. Improper handling of components may affect the material’s performance.<br/> The mixture should be done with precision to ensure the material cures properly. If the recommended ratio (typically 1:1 by weight) is not followed, the material may fail to cure correctly or show adhesion issues.|
|**Health Hazards**| **Skin Contact:** In general, Ecoflex™ 00-30 is safe for skin contact, although some individuals may be sensitive to the material, causing irritation. In case of prolonged contact, wash the area thoroughly with soap and water.<br/> **Inhalation:** Ecoflex™ 00-30 is not expected to release hazardous vapors during use, but as a precaution, avoid direct inhalation of any vapor in large quantities.<br/> **Ingestion:** Ingestion of Ecoflex™ 00-30 is not recommended. If accidentally ingested, seek medical attention immediately.|
|**Storage**| **Temperature:** Store the material in a cool, dry place, away from direct heat sources or intense sunlight to prevent degradation.<br/> **Sealed Containers:** Keep the components in their original, tightly sealed containers to avoid contamination or premature drying.|
|**Disposal**| **Waste Disposal:** Cured Ecoflex™ 00-30 is non-toxic and not dangerously reactive, but it should be disposed of according to local waste disposal regulations. It should not be poured down the drain.<br/> **Liquid Waste:** In the case of liquid waste or excess material, avoid environmental disposal, and handle it in accordance with chemical waste disposal guidelines.|
|**Curing Specific Considerations**| While Ecoflex™ 00-30 cures at room temperature (no additional heat required), the curing process should take place under appropriate conditions to ensure the final product’s quality. Avoid exposing the material to extremely cold or hot temperatures during curing.|


<figure markdown>
 ![Laser cut](../images/week08/7.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **Blow test**

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/5nHblhylMT0?si=HbVrUb1xkXkwdTok" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


## **FABRICATION FILES**
[**Solidworks files**](../files/Week%208/Contramolde.zip) /
[**Mold STL**](../files/Week%208/Trian_molde.STL) /
[**Mold 2 STL**](../files/Week%208/Trian_Contramolde.STL) /


## **VINYL TECHNIQUE**

I drew 2 figures in Illustrator to cut out of vinyl and experiment with the material fusion technique. In which you leave small spaces for the fluid with kitchen paper.
<br/>
I tested how to use the iron and the vinyl cutter before thinking about a possible final project for this assignment. And after testing how the technique works, I decided to create a more ambitious textile project, in which I describe in detail the steps to follow to create inflatable pieces with textile vinyl.

<figure markdown>
 ![Laser cut](../images/week08/9.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **Vinyl Textile Application and Ironing Process**

<figure markdown>
 ![Laser cut](../images/week08/8.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **Inflation TEST**

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/4EcdEIgd-o4?si=udMXHT8B0Ui27wVi" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/JfPn3D308fU?si=0Zhl_UwTsnIlgvT0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>



## **BALLOON DOG**

![describe what you see in this image](../images/week08/Perro.png){ width=200 align=right }

This project is inspired by the famous sculpture **"Balloon Dog" by Jeff Koons**, a contemporary piece that recreates the image of an inflatable dog made of polished metal. Following this concept, I have decided to create a jacket with the aesthetic of the balloon dog, using principles of soft robotics to give it an interactive and dynamic dimension.




### **Design and Cutting Process**

To design the dog figure inspired by Jeff Koons' sculpture "Balloon Dog", I used Adobe Illustrator. I started by creating a simplified outline of the sculpture, using vector drawing tools to capture the stylized shape and characteristic lines of the inflatable dog. Once the design was complete in Illustrator, I exported the file as a high-resolution PNG to ensure the quality and detail of the outline.

Next, I used Cut Studio software to process the exported file. I imported the PNG into Cut Studio and applied the tracing tool, which allowed me to generate the vector outline of the design, ready for cutting. 

<figure markdown>
 ![Laser cut](../images/week08/4.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **How to use the ROLAND CUTTER**

- I placed the vinyl on the back of the machine and adjusted the edges with the front rollers. <br/>
- I selected **"ENTER"** and the cutter positioned itself at the zero point.<br/>
- I did a first test but it DIDN´T WORK because the cutting force was insufficient.<br/>
- In my case, I used textile Vinyl, so I raised the power from **140 to 190 with the "FORCE"** button<br/>
- And I just had to click cut again.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/-WlFGsgqEPo?si=Cvknng1y9_i487Em" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


### **Vinyl Textile Application and Ironing Process**

Once the textile vinyls were cut with the vinyl cutter, the next step was to remove the excess material, leaving only the cut design. Then, in order to fuse the pieces together, the vinyls need to be placed face to face. However, before ironing, it's important to cut a piece of kitchen paper to place between the vinyls. This prevents the material from fully melting during the ironing process, as the kitchen paper acts as a protective barrier for the vinyl.
<br/>

One thing to keep in mind is that kitchen paper usually comes in rolls, which can make it difficult to secure the piece correctly onto the vinyl once it's cut. To solve this, I used **glue stick to fix** the kitchen paper onto the vinyl, ensuring it wouldn't shift while ironing. This technique worked perfectly and allowed for precise alignment of the pieces.
<br/>

For the ironing process, it's crucial to set the iron to **150°C** and press it for **15 seconds** over the design, ensuring the proper fusion of the materials and guaranteeing that the vinyl adheres uniformly and permanently.


<figure markdown>
 ![Laser cut](../images/week08/5.jpg){ width=680}
  <figcaption></figcaption>
</figure>

### **Pattern Design and Fabric Sublimation**

For the creation of the garment, I started by designing the graphic patterns for the shirt in Illustrator. This step involved creating the graphics and designs that would be applied to the fabric, keeping in mind the style and aesthetics I aimed to achieve. Once the graphic patterns were defined, I used a sublimation printer to transfer the designs onto fabric canvases. Sublimation ensures that the colors bond permanently to the material, providing vibrant and durable graphics.
<br/>

After sublimating the fabric canvases, I used a laser cutter to cut the fabric pieces according to the shirt patterns. The precision of the laser cutter allowed me to make exact cuts, ensuring that the pieces fit together perfectly for the assembly of the garment.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/Bwdi64fPiLE?si=X6cvolselJ1l2OMZ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

### **Inflation and Air Connection**

To bring the design to life, I used a hose connected to the air intake of the inflatable dog. This hose allowed the dog to inflate automatically each time I brought another air hose closer. This inflation system ensures that the soft dog takes shape interactively, responding to the airflow and creating a dynamic effect that reinforces the aesthetic inspired by Jeff Koons' sculpture.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/olrCKOcE4sw?si=5YvflspGWp-_gxr3" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


## **FABRICATION FILES**
[**Dog PNG**](../files/Week%208/Perro.png) /
[**Illustrator file**](../files/Week%208/Perro_patrón.ai) /
[**Garment patterns DXF**](../files/Week%208/Patterns.DXF) /

