# 10. Textile Scaffold

![Portada](../images/week10/1.png)

During this week dedicated to **Textile Scaffold**, we will explore one of the most innovative areas in design and engineering: the combination of subtractive technologies, such as CNC routers, with the creation of textile structures. 
<br/>
The use of CNC routers will allow us to explore the fabrication of complex molds with great precision, using materials such as wood, plastics, or foam. These molds are essential for the development of textile structures, providing the necessary support for the fabrics to take on the desired shape.

## **APPLICATIONS**

### **LE CHEMIN DES MAQUETTES / Jean-Louis Guimaron**
<a href="https://www.instagram.com/lechemindesmaquettes/?locale=es&hl=en">**Jean-Louis Guimaron**</a> is an artist and designer known for working with metallic materials, creating innovative sculptural and fashion pieces. His work often involves transforming metals and other hard materials into artistic forms, blending elements of haute couture and contemporary sculpture.


<figure markdown>
 ![Laser cut](../images/week10/2.png){ width=670}
  <figcaption></figcaption>
</figure>

### **BALMAIN / Oliver Rousteing**

His skill in working with metals and his innovative approach fit perfectly with the avant-garde vision of <a href="https://es.balmain.com/es/experience/olivier-rousteing">**Olivier Rousteing**</a>, the creative director of Balmain. This reflects a shared desire from both parties to explore and push the boundaries of fashion in new directions.

| | | 
|:-----------------: |:---------------:| 
|![](../images/week10/4.png){ width=230 }|<br/><iframe width="460" height="215" src="https://www.youtube.com/embed/chUl7Gdr41E?si=61NXgPEMy9L6UgGD" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|
|![](../images/week10/3.png){ width=230 }|<br/><iframe width="460" height="215" src="https://www.youtube.com/embed/hJ8hn8u8y_0?si=iquw4tnhD0KetTox" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|


### **FLÁVIO JUÁN NÚÑEZ**
<a href="https://www.instagram.com/blanka_flavin/?hl=es">**Flávio Juan Núñez**</a> appears to be a designer and artisan with a focus on haute couture and exceptional pieces. His work as a sculptor and prototype developer suggests that he combines artistic and technical skills to create unique pieces, possibly in the fields of fashion, art, and sculpture.

<figure markdown>
 ![Laser cut](../images/week10/5.png){ width=670}
  <figcaption></figcaption>
</figure>


### **SANA MARKS**
<a href="https://www.instagram.com/blanka_flavin/?hl=es">**Sana Marks**</a> is a brand driven by a passion for fashion bags, with a strong focus on artistry and innovation. The brand’s journey began when its creator’s graduate project was featured in Fashion Bags and Accessories: Creative Design and Production (2023) by Darla Jane Gilroy, sparking an exploration into new approaches to bag design and production. <br/>

At Sana Marks, the possibilities are limitless, with 3D design technology unlocking new creative opportunities for each collection. The brand’s mission is to bridge the gap between artistry and production, creating bags that are not only functional but also exceptional works of art.

<figure markdown>
 ![Laser cut](../images/week10/6.png){ width=670}
  <figcaption></figcaption>
</figure>

## **MOLDING BAG**
### **Design process**

I wanted to design a piece with an interesting texture, so I chose the tentacles of an octopus because I've always thought they have an incredible texture. <br/>
- This process requires molds **(positive and negative)**, so I started by drawing the positive mold using curve tools and concentric circles in SOLIDWORKS to get the shape I had in mind.<br/>
- Then, I rounded the edges to ensure the piece had a proper draft angle and added details to the suckers on the tentacles.
<figure markdown>
 ![Laser cut](../images/week10/8.png){ width=670}
  <figcaption></figcaption>
</figure>

Since I planned to mold a leather bag, I took into account the 2mm thickness of the material and created a second piece using the SCALE tool to grow the positive by **0.02%** <br/>

- To create the negative piece, I performed a backward extrusion of the part without combining the solids, so I could remove the original piece using the COMBINE operation.<br/>
- This way, you get two solid pieces that you can export as STL files to set up in VCARVE, the software used to prepare files that will be cut with the CNC router.

<figure markdown>
 ![Laser cut](../images/week10/9.png){ width=670}
  <figcaption></figcaption>
</figure>


| Positive Octopus | Negative Octopus | 
|:-----------------: |:---------------:|
|<div class="sketchfab-embed-wrapper"> <iframe title="Positive Octopus" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share src="https://sketchfab.com/models/f3eb392f9e054eb6ad1c97a92190dc81/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/positive-octopus-f3eb392f9e054eb6ad1c97a92190dc81?utm_medium=embed&utm_campaign=share-popup&utm_content=f3eb392f9e054eb6ad1c97a92190dc81" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Positive Octopus </a> by <a href="https://sketchfab.com/raulbabines?utm_medium=embed&utm_campaign=share-popup&utm_content=f3eb392f9e054eb6ad1c97a92190dc81" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> raulbabines </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=f3eb392f9e054eb6ad1c97a92190dc81" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>|<div class="sketchfab-embed-wrapper"> <iframe title="Negative Octopus" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share src="https://sketchfab.com/models/15ac99aafa4b49eba3e85990a1f86b88/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/negative-octopus-15ac99aafa4b49eba3e85990a1f86b88?utm_medium=embed&utm_campaign=share-popup&utm_content=15ac99aafa4b49eba3e85990a1f86b88" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Negative Octopus </a> by <a href="https://sketchfab.com/raulbabines?utm_medium=embed&utm_campaign=share-popup&utm_content=15ac99aafa4b49eba3e85990a1f86b88" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> raulbabines </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=15ac99aafa4b49eba3e85990a1f86b88" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>|





### **Prepare the material**
The milling process with a CNC router involves the use of a rotating cutter that makes precise and controlled cuts on the material, following instructions provided by a computer program. The CNC router has the ability to move both the tool and the workpiece along multiple axes (typically 3 or 5) to create complex shapes and details. <br/>

To obtain the three-dimensional piece with this technique, you need to cut into a material that is thick enough. In this case, I decided to use 3 MDF boards, each **30x30 cm and 15mm** thick, which I glued together with white glue a day before to create a material with **45mm** of thickness.

<figure markdown>
 ![Laser cut](../images/week10/14.png){ width=670}
  <figcaption></figcaption>
</figure>


## **VCARVE Software**
<a href="https://www.vectric.com/products/vcarve/">**VCarve**</a> allows users to create and edit designs in both 2D and 3D. This includes everything from drawing simple shapes like lines and circles to creating complex shapes and 3D models, such as reliefs, logos, text, and decorative details.

### **Importing STL Files**

<div style="text-align: center;">
<iframe width="450" height="315" src="https://www.youtube.com/embed/GSkFb-5lXkg?si=NN8jMkIHeVGmUvol" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

You can follow this tutorial to set up an STL file with VCARVE. In this case, the first step is to configure the material you’ll be cutting with the exact measurements and define the Zero position of your cutter.  <br/>
**NOTE:** It’s recommended to position it close to the controllers so you have better control over the process.

<figure markdown>
 ![Laser cut](../images/week10/10.png){ width=670}
  <figcaption></figcaption>
</figure>

Once you've set up the workspace, you can import the STL file to adjust its position according to the material. <br/>
Based on the measurements I worked with and the thickness of my material, I decided to raise the model a couple of centimeters and select the option to **ignore data below the Zero plane** to prevent the tool from cutting deeper than necessary during the process.


### **Roughing toolpath**

<figure markdown>
 ![Laser cut](../images/week10/11.png){ width=450}
  <figcaption></figcaption>
</figure>

### **Finished toolpath**

<figure markdown>
 ![Laser cut](../images/week10/12.png){ width=450}
  <figcaption></figcaption>
</figure>


## **THE ROUTER CNC**
### **Safety training**

The use of CNC machines carries various hazards because, for its operation, high-speed rotational tools with sharp edges, high-voltage and heavy parts are used. <br/>

- Impact-proof safety goggles, as the chips can be projected because of the operations.<br/>
- Noise protection headset, as the noise can get up to 70dBA near the machine.<br/>
- 100% cotton Lab coat/overalls.<br/>
- No hanging accessories like jewelry or garments.<br/>
- **NO Shorts.**<br/>
- Safety boots/shoes that have toe protection from falling heavy parts.<br/>
- Breathing mask, as the operations can project fine dust depending on the material being processed.

<figure markdown>
 ![Laser cut](../images/week10/7.png){ width=570}
  <figcaption></figcaption>
</figure>

### **General precautions**

|The operator | The space|
|:----------------- |:---------------|
|- The operator must remain attentive and close to the machine when it is working.<br/>- Do not wear gloves during the operation of the machine.<br/>- The closet door must remain closed while the machine is on.<br/>- The machine must be operated exclusively by trained staff.<br/>- Do not put your hands near the cutting area while the machine is working.|- The floor must be clean and free of any chips or residues from material to avoid falls or slippery floors.<br/>- Keep distance from the machine as it can move very fast in any direction.<br/>- Remember all automated machines can start suddenly, as long as the emergency stop is not activated.<br/>- There are high-voltage components at use in this machine.<br/>- Make sure the cutting tool is tight and centered.<br/>- Make sure the material is well positioned, fixed and there are no obstacles in the trajectory of the cut, like clamps, nails or even heavy knots.|

### **Materials**
CNC routers are versatile tools that can cut and shape a wide range of materials with different properties. The following table shows some features and recommendations for cutting different materials.

|Material |Description| Machining Recommendations|
|:-----------------:|:---------------|:---------------| 
|**ABS**	|Durable, strong plastic used widely across industries.	|Use sharp, single-flute tools for a smooth finish.|
**Acrylic**|	Clear, plastic material with excellent clarity and weather resistance.	|Use carbide tools and coolant to prevent melting or cracking. |
**ALUCOBOND / DIBOND ®**|	A composite panel with two aluminum sheets bonded to a non-aluminum core.	|Use sharp tools with high cutting speed for clean edges|
**Aluminum** |	Lightweight, corrosion-resistant metal used in various applications.	|Use sharp, multi-flute cutters and a coolant to prevent buildup.|
**Copper**|	Highly conductive metal used in electrical components.	|Use sharp, single or double-flute cutters for clean cuts.|
**Estirene** |A brittle, transparent plastic used in model making and prototypes.	|Ensure proper clamping and use sharp tools to avoid chipping.|
**Tin**	|Soft, malleable metal often used as a coating for other metals.	|Use lower feed rates to prevent galling on the cutter.|
**Solid Wood** |	Natural wood, used for its aesthetic and structural properties.	|Use sharp, two-flute spiral bits for efficient material removal.|
**Softwoods** |Lighter, less dense wood types like pine or cedar.	|Use upcut spirals for chip removal and to prevent fraying.|
**Hardwoods**|	Denser woods like oak or maple, known for durability.	|Use downcut spirals for a smoother surface finish.|
**Plywood**|	Engineered wood made from thin layers of wood veneer.	|Use compression cutters to prevent delamination.|
**MDF**|	Engineered wood product made by breaking down hardwood or softwood residuals.	|Use high-speed steel (HSS) or carbide bits to reduce dust.|
**Veneered MDF**|	MDF covered with a thin layer of real wood veneer.	|Use downcut spirals for a clean cut that won't tear the veneer.|
**MDF Laminate**|	MDF with a plastic laminate coating on one or both sides.	|Use carbide-tipped bits for smooth cuts through the laminate layer.|
**Melamine over agglomerate**|A composite material of wood chips bonded together, covered with a melamine layer.	|Use a triple-chip grind (TCG) blade for clean cuts without chipping.|
**Nylon**|	Durable, synthetic polymer with high strength and flexibility.	|Use single or double flute end mills at high speeds to prevent melting|
**OSB**	|Oriented strand board, a type of engineered wood similar to particle board.	|Use carbide-tipped blades for durability and to avoid wear.|
**Non-ferrous metals**|	Metals that do not contain iron in appreciable amounts, like aluminum and brass.	|Use lubrication and specific non-ferrous geometry cutters.|
**Solid polycarbonate**|	Durable, transparent plastic with high impact resistance.	|Use sharp tools and coolants to prevent overheating and melting.|
**Polyethylene**|Flexible, durable plastic used in a wide range of products.	|Use sharp, single-flute end mills for clean cuts.|
**PVC (solid/foamed)**|	Durable plastic used in construction and piping.	|Use a low flute count bit and cooling techniques to prevent melting.|
**Bakelite**|	An early plastic made from phenol and formaldehyde, known for its heat resistance.|	Use carbide tools at moderate speeds to avoid chipping.|
**Resins**|	Synthetic or natural compounds often used in composites and coatings.	|Use sharp, high-speed tools for a smooth finish.|


### **Cutting process**

<figure markdown>
 ![Laser cut](../images/week10/15.png){ width=670}
  <figcaption></figcaption>
</figure>


|Positive cut|Negative cut|
|:-----------------:|:---------------:|
|<iframe width="460" height="245" src="https://www.youtube.com/embed/mD5w-bgFI_U?si=UPX3oGzIO2d78voi" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|<iframe width="460" height="245" src="https://www.youtube.com/embed/dUY4h3569qI?si=ZOHB09c4xynu4CCZ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|

### **The final result looks like this**

Once the mold was cut and assembled, a layer of primer or sealant was applied to the MDF surface. The primer is crucial because it seals the wood, preventing it from absorbing moisture or substances during the molding process, which could affect the quality of the mold or the material used to create the final piece. <br/>

**Note:** It’s essential to let the primer dry completely before continuing. The drying time will depend on the type of primer you used and environmental conditions (temperature, humidity), but in general, make sure it is dry to the touch and fully cured before proceeding.

<figure markdown>
 ![Laser cut](../images/week10/26.png){ width=600}
  <figcaption></figcaption>
</figure>

### **Leather preparation**

The leather should be immersed in a mixture of water and 30% white glue for 30 minutes so that the material softens and can be molded more easily. <br/>

Once the 30 minutes have passed, remove the leather from the mixture and place it on the positive mold to begin molding it. And since the piece has a shape with many edges, the leather must be fixed with nails to the base to ensure that the material does not move.

<figure markdown>
 ![Laser cut](../images/week10/27.png){ width=670}
  <figcaption></figcaption>
</figure>

And once the material is completely fixed, place the negative mold on the piece and using some pressure system, fix both molds until the material dries completely, which can take 2 days. <br/>

**NOTE:** You can speed up the drying process if you leave the mold under the sun for a couple of hours.

<figure markdown>
 ![Laser cut](../images/week10/28.png){ width=670}
  <figcaption></figcaption>
</figure>

### **Final result**

<figure markdown>
 ![Laser cut](../images/week10/29.png){ width=670}
  <figcaption></figcaption>
</figure>



## **FIBERGLASS MOLD**

Fiberglass is an excellent choice for mold creation due to its unique combination of strength, lightness, and durability. As a composite material made from fine strands of glass, it offers a high resistance to corrosion and wear, making it ideal for producing long-lasting and precise molds. <br/>

- Additionally, fiberglass molds are relatively lightweight compared to other materials like metal, which makes them easier to handle and more cost-effective in large-scale production. <br/>
- Fiberglass molds can withstand high temperatures and harsh chemicals, offering versatility for a wide range of applications, from automotive to industrial manufacturing. 


### **Design Process**

<figure markdown>
 ![Laser cut](../images/week10/21.png){ width=670}
  <figcaption></figcaption>
</figure>

### **Cutting Process**

<figure markdown>
 ![Laser cut](../images/week10/25.png){ width=670}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/dVdq33eDmTs?si=2EF70luUgCMyKheB" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

### **Mold Manufacturing Process**

**Surface Preparation** <br/>
The process begins by preparing the surface where the mold will be made, ensuring it is clean and free from dust, grease, or contaminants. This is essential to ensure proper adhesion of the materials. <br/>

**Application of Mold Release Wax** <br/>
A uniform layer of mold release wax is applied to the surface to facilitate easy removal of the mold once it is finished. The wax should be allowed to dry properly before moving on to the next step.<br/>

**Application of Release Film**  <br/>
Next, a release film is applied over the mold release wax to prevent the mold materials from sticking to the original surface. This layer ensures the mold can be removed without damaging the original part.<br/>

**Gel Coat**  <br/>
A layer of gel coat is applied over the release film. Gel coat is a resin that provides a hard and smooth outer layer, giving the mold a high-quality finish. It also enhances the mold’s resistance to wear. The gel coat should cure according to the manufacturer's instructions to form a solid base.

<figure markdown>
 ![Laser cut](../images/week10/22.png){ width=470}
  <figcaption></figcaption>
</figure>

**Application of Fiberglass and Resin** <br/>
Fiberglass is cut into manageable pieces and impregnated with general-purpose resin. This step involves applying a layer of resin over the gel coat, followed by a layer of fiberglass impregnated with resin. This process is repeated, alternating layers of fiberglass and resin until the desired mold thickness is achieved. Each layer must be properly cured before applying the next one to ensure maximum strength.<br/>

**Curing** <br/>
Once the fiberglass and resin layers have been applied, the mold is left to cure completely. The curing time can vary depending on environmental conditions and the type of resin used. It is essential to ensure the mold is fully hardened before proceeding to demolding.<br/>

**Demolding** <br/>
After the mold has cured, it is carefully removed from the original part. First, the release film is removed, and then, using appropriate techniques, the mold is extracted without damaging the original part or the mold itself.

<figure markdown>
 ![Laser cut](../images/week10/23.png){ width=470}
  <figcaption></figcaption>
</figure>


| **Final result**| **Recommendations for Care of Fiberglass Pieces**| 
|:-----------------: |:---------------| 
|[![](../images/week10/24.png){ width=330 }]|- Wash with warm water and mild detergent. Use a non-abrasive sponge to avoid scratches.<br/>- Apply wax with UV protection to prevent sun damage.- Regularly check the piece for cracks or damage. Repair any issues immediately.<br/>- Handle the piece carefully to prevent strong impacts that could break it.<br/>- Store the piece in a dry, cool, and well-ventilated area, away from direct sunlight.<br/>- Polish the piece with an appropriate compound to maintain its shine and smoothness.




<br/>

## **CRYSTALLIZATION**

Crystallization is a fundamental physical-chemical process in materials science, where a substance transitions from an amorphous or liquid phase to a solid structure organized in a repetitive and ordered pattern known as a crystal lattice. This phenomenon occurs when the molecules or atoms of a substance organize into a regular arrangement as the system's energy decreases, favoring the formation of crystals. 

### **Design process**

To create a starfish that would facilitate the crystallization process, I used the previous design and in this case, I only worked with the piece flat, giving it a thickness of 0.6 mm to ensure flexibility.

<figure markdown>
 ![Laser cut](../images/week10/13.png){ width=650}
  <figcaption></figcaption>
</figure>

I decided to 3D print the starfish in TPU (thermoplastic polyurethane) to experiment with how well the crystals would adhere to the surface. This material was chosen specifically for its flexibility, which I thought might improve the adhesion of the crystals.

| | | 
|:-----------------: |:---------------:| 
|<iframe width="460" height="215" src="https://www.youtube.com/embed/yneQhjTrYiM?si=NQ2ngssc7xRLnnkm" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|[![](../images/week10/18.png){ width=430 }]|

### **The BORAX solution**

**Materials:**<br/>
- Borax (50 g)<br/>
- Hot water (500 ml)<br/>
- TPU starfish (or any object you want to use)<br/>
- Thread or string (to suspend the starfish)<br/>
- A transparent container (like a jar or large glass)<br/>
- Food coloring (optional, for adding color to the crystals)


**Prepare the borax solution:**<br/>
- Fill a transparent container with 500 ml of hot water. It’s important to use hot water because it helps dissolve the borax more effectively.<br/>
- Add 50 g of borax to the hot water (about 3 tablespoons). Stir well until the borax is completely dissolved in the water.<br/>
- If you want the crystals to have color, you can add a few drops of food coloring at this stage.

**Prepare the TPU starfish:**<br/>
- I took my TPU starfish and tied them with thread or string to suspend them in the solution. Make sure the thread is long enough so the starfish are fully submerged in the solution without touching the bottom or sides of the container.

**Suspend the starfish in the solution:**<br/>
- Place the starfish (suspended by the thread) into the container with the borax solution, making sure they do not touch the bottom or sides of the container.

**Let the crystals form:**<br/>
- Place the container in a location where it won’t be disturbed. A warm place is ideal for faster crystal growth, but avoid placing it in a drafty area.<br/>
- Let the solution sit for 6-12 hours. During this time, the borax crystals will start to form on the surface of the starfish.

<figure markdown>
 ![Laser cut](../images/week10/17.png){ width=650}
  <figcaption></figcaption>
</figure>

### **The final result**

<figure markdown>
 ![Laser cut](../images/week10/19.jpg){ width=650}
  <figcaption></figcaption>
</figure>

**Tips:**<br/>
- If you notice that no crystals are forming, add a bit more borax to the solution and stir it well.<br/>
- For even larger crystals, you can make a saturated solution, meaning you add borax until it no longer dissolves in the hot water.


### **Bonus test**
I did an additional test to see how the same solution behaved on another material. So I took a piece of tulle framed in PLA that my friend <a href="https://class.textile-academy.org/2025/maricruz-garcia/">**Maricruz**</a> designed and the adhesion was more saturated between the tulle fibers. <br/>
**The result is beautiful**

<figure markdown>
 ![Laser cut](../images/week10/20.jpg){ width=650}
  <figcaption></figcaption>
</figure>





