# 13. Implications and applications

![Portada](../images/week13/1.png)

I´ve chosen nature, and more specifically beetles, as the inspiration for this three-piece collection because I'm drawn to the unique beauty these insects offer. Beetles, with their vibrant shapes and colors, have an aesthetic that perfectly blends the simplicity and complexity of nature. Their shiny exoskeletons and textures seemed like an interesting way to explore the relationship between the organic and the structured in design.

Additionally, beetles carry strong symbolism, associated with transformation and renewal. This seemed like a powerful concept to represent not only visual beauty but also the idea of change and adaptation. <br/>

<figure markdown>
 ![Laser cut](../images/week13/2.jpg){ width=680}
  <figcaption></figcaption>
</figure>

<b style="font-size: 165%;" >SO, WHAT'S NEXT IN FASHION?</b>

### **Express yourself**
Queer culture celebrates a wide range of gender identities and sexual orientations that are not limited to traditional categories. This includes people who identify as bisexual, asexual, pansexual, non-binary, among others, and people who don’t necessarily seek to fit into one label.

In terms of aesthetics, queer culture is characterized by a focus on individual expression through fashion, makeup, and personal style. This can include mixing genders in clothing, adopting styles from different eras, or experimenting with the "unconventional." Makeup and clothing become tools to challenge what is considered "normal" or "acceptable," creating a space where self-definition is central.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/RNL6qFbhlm4?si=AV-4ViFDAyUqxD7I" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


<b style="font-size: 165%;" >HOW TO EXPRESS YOUR IDENTITY</b>

## **The Seven Styles in Personal Image**

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/JFbeqCELn40?si=VUYI_HHFd4TgDe8Z" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

</br>

The theory of the seven universal styles emerged in 1990 from the hand of Alyce Parsons and Diana Parente. In their book Universal Style: "Dress for Who You Are and What You Want", these sociologists and fashion specialists identified seven ways of dressing in which people can see themselves represented (Natural, classic, sophisticated, romantic, dramatic, seductive and creative style)


### **Creative Style**

This style is for people who want to stand out from the crowd and dare to combine styles, textures, and prints in a very natural way, which reflects their open-mindedness. Personalities are creative, original, daring, and expressive, seeking to express their talent and spontaneity through their image.

I decided to work with the creative style because people who belong to this archetype combine garments in innovative ways, highlighting the mix of colors, textures, prints and shapes.


## **Applications**

||| 
|:-----------------:|:---------------:| 
|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@nigelxavier__/video/7210113561673076011" data-video-id="7210113561673076011" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@nigelxavier__" href="https://www.tiktok.com/@nigelxavier__?refer=embed">@nigelxavier__</a> Finale Collection🏆 Which look was your favorite look of the whole collection??  Mine has to be between the sheer braided look or the double pant look🤯 S&#47;o to my amazing team of sewers and models that brought this vision to fruition🫶🏽<a title="netflix" target="_blank" href="https://www.tiktok.com/tag/netflix?refer=embed">#netflix</a> <a title="nextinfashion" target="_blank" href="https://www.tiktok.com/tag/nextinfashion?refer=embed">#nextinfashion</a> <a title="nextinfashionnetflix" target="_blank" href="https://www.tiktok.com/tag/nextinfashionnetflix?refer=embed">#nextinfashionnetflix</a> <a title="style" target="_blank" href="https://www.tiktok.com/tag/style?refer=embed">#style</a> <a title="fashion" target="_blank" href="https://www.tiktok.com/tag/fashion?refer=embed">#fashion</a> <a title="diy" target="_blank" href="https://www.tiktok.com/tag/diy?refer=embed">#diy</a> <a title="runway" target="_blank" href="https://www.tiktok.com/tag/runway?refer=embed">#runway</a> <a target="_blank" title="♬ original sound - Nigel Xavier" href="https://www.tiktok.com/music/original-sound-7210114014293117739?refer=embed">♬ original sound - Nigel Xavier</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@mikayl___x/video/7226654303602232581" data-video-id="7226654303602232581" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@mikayl___x" href="https://www.tiktok.com/@mikayl___x?refer=embed">@mikayl___x</a> behind the scenes of the last set of our SS23 Collection. All pieces are made by yours truly. 🥹🩶 <a title="fashion" target="_blank" href="https://www.tiktok.com/tag/fashion?refer=embed">#fashion</a> <a title="design" target="_blank" href="https://www.tiktok.com/tag/design?refer=embed">#design</a> <a title="menswear" target="_blank" href="https://www.tiktok.com/tag/menswear?refer=embed">#menswear</a> <a title="ootd" target="_blank" href="https://www.tiktok.com/tag/ootd?refer=embed">#ootd</a> <a target="_blank" title="♬ som original - Gemima Lopes" href="https://www.tiktok.com/music/som-original-7225753416310491909?refer=embed">♬ som original - Gemima Lopes</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|



<iframe src="../../files/Application___Implications.pdf" width="800" height="440"></iframe>

