# 14. Bonus

![Portada](../images/week14/1.png)

Taking inspiration from nature is always an interesting exercise. And for this week, I was inspired by the "Calligraphas beetles" that have a very cool texture on their shell. I drew this texture in Illustrator with the dimensions that I would use in making the garment and to process it in the machine's software, I opened the PNG in PAINT and saved it again as a **"16-color bitmap"**

**NOTE: When knitting with a knit and purl, the image must be exported as a "Monochrome Bitmap"**

<figure markdown>
 ![Laser cut](../images/week14/2.png){ width=680}
  <figcaption></figcaption>
</figure>




## **CIXING hp2-52c**
<a href="https://akaspar.pages.cba.mit.edu/machine-knitting/">**This is the introduction to Machine Knitting**</a>

![describe what you see in this image](../images/week14/3.png){ width=260 align=right }

- This type is single carriage with double Logical controlled system. Graphical operation interface and dynamic alarm prompt for better indication of user to operate.
- These series uses digital technology to achieve the patterns of weaving, pointel, tuck, tight tuck, apparent shape, hidden shape, intarsia, floatless intarsia and other irregular structure patterns.


## **LKS Simulation (The software to prepare files)**
HOW TO LEARN COMPUTERIZED KNITTING DESIGN BY <a href="https://www.youtube.com/@potiguartrico983/videos">**LKS SOFTWARE**</a>

These are the steps I followed to set up the file. <br/>
1.- Create a new document and select the machine (In this case, I worked with the HP-2Systems)

2.-In needles and passes you can configure the canvas size ("X" is the width and "Y" is the fabric length)

3.-Import the bitmap without modifying anything (Just click import)

<figure markdown>
 ![Laser cut](../images/week14/4.png){ width=680}
  <figcaption></figcaption>
</figure>

4.- In the "Knitting process" menu, we look for the "insert waistbands option" and configure it as it appears in the image. The waistband is the densest fabric from which the collars and sleeves are made. In this case, I used a "50 waistband" because I will fold it in half during construction

5.- The bitmap opens in a different window than the one you configured with the waistband, so you have to copy it (Ctrl+c / Ctrl+v) and adjust it with the tools that appear in the menu on the left.
The menu on the left has a series of tools that allow you to modify the bitmap.

6.- The bitmap was exported as a "16-color bitmap" so, the image has many details that must be cleaned so that the image change to 3 colors

<figure markdown>
 ![Laser cut](../images/week14/5.png){ width=680}
  <figcaption></figcaption>
</figure>

7.- Select the "Jacquard icon" and configure the thread color you are going to use (In my case I used threads 4, 5 and 6) and with the paint bucket tool change the colors of the points.

**NOTE: Tools like PAINT and Photoshop are best for setting up images for Jacquard because the pixels are similar to the dots on the fabric.**

<figure markdown>
 ![Laser cut](../images/week14/6.png){ width=680}
  <figcaption></figcaption>
</figure>

8.-Once the image is clean, the threads are configured in the right menu "Guided creations", where you must select the Jacquard option.

9.- A window will open where you must select the options "Forced YC" and "Add forced thread guide"

10.- Select the thread colors you use to color your image and save the changes with the "Forward" button

<figure markdown>
 ![Laser cut](../images/week14/7.png){ width=680}
  <figcaption></figcaption>
</figure>

11.- Once the threads are configured, we can export the file for the knitting process. And to do this, we must select the "Apply option" in the top menu "Weaving Process"

12.- A window will automatically open and you can generate a visualization of the machine's route, so you must select the "View test option"

13.- And if no extra window appears in the lower window showing errors, the file is ready to export with the "Save machine file" option

<figure markdown>
 ![Laser cut](../images/week14/8.png){ width=680}
  <figcaption></figcaption>
</figure>



## **About the threads**
For this machine I used industrial threads, since there are some considerations to ensure the fabric quality.

![describe what you see in this image](../images/week14/9.png){ width=260 align=right }

- Industrial threads are sold for kg
- Colors are limited (depending on where you buy them)
- Some threads have fibers in poor condition, so you must be careful during the knitting process
- Threads have a lifespan that becomes shorter when they are exposed too much sunlight.

### **This is the configuration panel**
Like many machines, the panel has options for loading documents and configuring some process parameters. In this case, the operator helped me set the thread tensions, since he has more experience working with those types of materials.

**NOTE: The REPEAT option is selected to start knitting, since the machine must create a "First BED" that will create the fabric tension between the rollers and the needles. (This thread can be any color)**

<figure markdown>
 ![Laser cut](../images/week14/10.png){ width=680}
  <figcaption></figcaption>
</figure>

## **This is the knitting process**
Incredible that this will be a sweater

| | | 
|:-----------------: |:---------------:|
|<iframe width="380" height="215" src="https://www.youtube.com/embed/dNGk-cUejvA?si=IxeTxnm2IGqD6Tm2" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|<iframe width="380" height="215" src="https://www.youtube.com/embed/Cw2lOlwMGg8?si=11horvo7TdNp3H01" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|
|<iframe width="380" height="215" src="https://www.youtube.com/embed/PhUfMyJyomk?si=ItvM0QnPllxFoXyH" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|<iframe width="380" height="215" src="https://www.youtube.com/embed/gNk09hVxwFY?si=C_pUAzTtO89aeaKi" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|

## **The final result**

<figure markdown>
 ![Laser cut](../images/week14/12.png){ width=680}
  <figcaption></figcaption>
</figure>