# Concept 

![Portada](../images/concept/1.png)

Throughout my training in Fabricademy, I have acquired knowledge and skills in the field of digital fabrication applied to textile design, which I have put into practice to develop this collection. Although I have had guidance from mentors and experts throughout the process, this project is entirely personal and reflects my creative and technical vision as a designer.

![Description image](../images/concept/3.png){ width=360 align=right }

## **ABOUT THIS PROJECT**

This project consists of a collection of three fashion pieces inspired by the morphology of beetles, with each piece using a different technique: a vest inspired by puffer garments, exploring the concept of **soft robots**; a dress with **3D-printed** details, inspired by bustiers and thermoformed torsos; and a **modular-assembly** bag, inspired by woven-material bags. This collection is the culmination of my final project and seeks to reflect the knowledge acquired during my experience in Fabricademy, merging creativity with technical innovation.

## **MOOD BOARD**

The reason I decided to work on a collection is to apply my favorite digital fabrication techniques learned during the course, imprinting my style and creativity into several pieces. Through this collection, I aim to create a cohesive narrative that, while sharing the same inspiration, diversifies in terms of construction.

<figure markdown>
 ![Laser cut](../images/concept/4.png){ width=900}
  <figcaption></figcaption>
</figure>


## **REFERENCES**

<a href="https://es.pinterest.com/raulbabines/textiles/">Pinterest Board</a>  /  <a href="https://www.instagram.com/fishingforscale/">FISHINGFORSCALE</a>  /  <a href="https://www.instagram.com/prospectiveflow/">Prospective Flow
</a>  /  <a href="https://www.instagram.com/proteomx//">Proteo MX</a>   /  <a href="https://www.instagram.com/mytheresa.men/">Mytheresa Men</a>   /  <a href="https://www.instagram.com/kaydmfreud//">KAYDMF</a>



## **INSPIRATION**

**PLATO'S ATLANTIS by Alexander McQueen**

The "Plato's Atlantis" collection by Alexander McQueen, presented for Spring/Summer 2010, is one of the designer's most iconic works. Inspired by Charles Darwin's theory of evolution and climate change, McQueen imagined a future where humanity adapts to an aquatic environment. This vision was reflected in garments featuring reptilian and marine creature patterns, like jellyfish and rays, which were digitally printed onto fabrics to create the appearance of scales and fins.

One standout element of the collection was the "Armadillo boots", extremely high platform boots that transformed the model's silhouette, evoking an alien and futuristic aesthetic. These boots became a fashion icon and one of McQueen's most recognized creations.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/CVN4WUKIzjA?si=rXkFFCzl0nEfwXut" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


**SYNTOPIA by Iris Van Herpen**

For this collection, van Herpen collaborated with artists Lonneke Gordijn and Ralph Nauta from Studio Drift, known for their kinetic sculptures that mimic natural processes. Together, they created the spatial installation In 20 Steps, composed of 20 delicate glass wings that abstractly represent different stages of flight. These wings moved in synergy with the models on the runway, emphasizing the fragility and beauty of new worlds coexisting and rising together.

Van Herpen, inspired by her background as a dancer, drew from the movements of birds and chronophotography to deconstruct the traditional draping of garments. This led to layers of transparent silk organza overlapping, creating an illusion of movement and capturing the essence of birds in flight.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/wkTddZ8CD-c?si=UKFoy9UDzcy26Rd8" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

<br/>


**UTOPIA**

<a href="https://utopiabypedercho.com/">Utopia.us</a> is a fashion brand founded by designer Peder Cho, who transitioned from a career in accounting to pursue his passion for design. The brand is based in Los Angeles, California, and specializes in handmade, upcycled clothing. Utopia's creations are known for their unique, one-of-a-kind pieces that blend artistic expression with sustainable practices. 


In February 2023, Utopia by Peder Cho debuted its Fall/Winter 2023 collection during New York Fashion Week. The collection featured woven unisex styles, showcasing the brand's commitment to innovative design and upcycling.



||| 
|:-----------------:|:---------------:| 
|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@utopia.us/video/7160400302070402346" data-video-id="7160400302070402346" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@utopia.us" href="https://www.tiktok.com/@utopia.us?refer=embed">@utopia.us</a> Siberia Hills Rib Cage Vest <a title="design" target="_blank" href="https://www.tiktok.com/tag/design?refer=embed">#design</a> <a title="designer" target="_blank" href="https://www.tiktok.com/tag/designer?refer=embed">#designer</a> <a title="vest" target="_blank" href="https://www.tiktok.com/tag/vest?refer=embed">#vest</a> <a title="sew" target="_blank" href="https://www.tiktok.com/tag/sew?refer=embed">#sew</a> <a title="sewing" target="_blank" href="https://www.tiktok.com/tag/sewing?refer=embed">#sewing</a> <a title="sewingtiktok" target="_blank" href="https://www.tiktok.com/tag/sewingtiktok?refer=embed">#sewingtiktok</a> <a title="puffervest" target="_blank" href="https://www.tiktok.com/tag/puffervest?refer=embed">#puffervest</a> <a title="streetwear" target="_blank" href="https://www.tiktok.com/tag/streetwear?refer=embed">#streetwear</a> <a title="fashion" target="_blank" href="https://www.tiktok.com/tag/fashion?refer=embed">#fashion</a> <a target="_blank" title="♬ FLEX UP - Lil Uzi Vert" href="https://www.tiktok.com/music/FLEX-UP-7122970097789962242?refer=embed">♬ FLEX UP - Lil Uzi Vert</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@utopia.us/video/7160388321775160622" data-video-id="7160388321775160622" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@utopia.us" href="https://www.tiktok.com/@utopia.us?refer=embed">@utopia.us</a> Puffy Oval Cut Out Vest <a title="design" target="_blank" href="https://www.tiktok.com/tag/design?refer=embed">#design</a> <a title="designer" target="_blank" href="https://www.tiktok.com/tag/designer?refer=embed">#designer</a> <a title="vest" target="_blank" href="https://www.tiktok.com/tag/vest?refer=embed">#vest</a> <a title="sew" target="_blank" href="https://www.tiktok.com/tag/sew?refer=embed">#sew</a> <a title="sewing" target="_blank" href="https://www.tiktok.com/tag/sewing?refer=embed">#sewing</a> <a title="sewingtiktok" target="_blank" href="https://www.tiktok.com/tag/sewingtiktok?refer=embed">#sewingtiktok</a> <a title="puffervest" target="_blank" href="https://www.tiktok.com/tag/puffervest?refer=embed">#puffervest</a> <a title="fashion" target="_blank" href="https://www.tiktok.com/tag/fashion?refer=embed">#fashion</a> <a title="streetwear" target="_blank" href="https://www.tiktok.com/tag/streetwear?refer=embed">#streetwear</a> <a target="_blank" title="♬ Smooktobër - Yeat" href="https://www.tiktok.com/music/Smooktobër-7063659153508468738?refer=embed">♬ Smooktobër - Yeat</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|


**Making a HANDMADE Leather Handbag**

<div style="text-align: center;">
 <iframe width="560" height="315" src="https://www.youtube.com/embed/fiJvV6igcMs?si=LyrVDeHdCjuPpPaN" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

**Handbag Trends**
<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/xSsu0oDqqeg?si=mODlWqrhuFlmXY_j" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

The creative process for my collection began with the exploration of the shapes and textures I wanted to integrate into the pieces. I looked for examples of beetles and started extracting elements that I liked, even before thinking about a color palette.

This allowed me to imagine a visual narrative of what I wanted to convey through the clothing, and to capture these first ideas, I dedicated myself to making several sketches, aiming to capture the essence of the shapes, textures, and volumes.

## **COLOR AND TEXTURE**

The color and texture of beetles are a unique source of inspiration for the fashion world due to their extraordinary diversity and functionality. The complex patterns, spots, and stripes offer an opportunity to create visually striking designs. Additionally, the texture of their exoskeleton, whether rough, smooth, or spiny, inspires the creation of fabrics and finishes that not only capture attention but also convey strength, protection, and beauty.

<figure markdown>
 ![Laser cut](../images/larva/5.png){ width=650}
  <figcaption></figcaption>
</figure>

For the development of each piece, I have decided to take as a base the color palette of different beetles because the physical structure is associated with the different phases of the beetle's evolution, but I think I could create a common language between the pieces through color and textures.

## **SKETCHES**

 I based it on the seven universal styles by Alyce Parsons and Diana Parente, focusing on the creative profile that always seeks unique pieces that represent their personal style. My intention is to demonstrate that runway pieces can be functional and comfortable for everyday wear without losing the innovative and avant-garde essence that characterizes runway fashion.

<figure markdown>
 ![Laser cut](../images/process/2.png){ width=600}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/concept/6.png){ width=600}
  <figcaption></figcaption>
</figure>

I used <a href="https://toolmaker.fermat.app/explore/fashion">FERMAT app</a>  to explore more ideas about textures and colors. It is an interesting app, which is designed to help fashion designers and creatives manage their creative process. It is quite useful for those looking to digitalize their creative process.

<figure markdown>
 ![Laser cut](../images/process/5.png){ width=600}
  <figcaption></figcaption>
</figure>


