# Chrysalis dress

![Portada](../images/dress/1.png)

## **ABOUT THIS GARMENT**
![Description image](../images/process/4.png){ width=110 align=right }

This dress is inspired by the transformation process that occurs when insects wrap themselves in a cocoon, a crucial stage in their evolution. I wanted to capture this idea of metamorphosis and change through a design that reflects the structure and protection offered by the cocoon during this process. To achieve this, I decided to use 3D design techniques, allowing me to create a bustier that gives the dress a unique and sculptural structure.

The dress is made from a low-density textile that can be sublimated before sewing, creating a lightweight, fluid texture. The graphic pattern of the dress is inspired by the intricate and beautiful forms found on the shells of certain beetles, establishing a visual connection between nature and fashion. Additionally, the color palette of the dress has been carefully chosen to complement the entire collection, creating a visual harmony that unifies the pieces.

## **DESIGN**
### **Patterns**
I replicated the same design process in SOLIDWORKS that I used for the vest, but in this case, I based the proportions on a female front piece. After drawing the bustier, I removed all the guide lines.

<figure markdown>
 ![Laser cut](../images/process/8.png){ width=700}
  <figcaption></figcaption>
</figure>

An important aspect in dress design is to consider an opening on the side or back to make room for a zipper, which helps adjust the proportions of the dress when putting it on or taking it off. In this case, I decided to place it at the back.

<figure markdown>
 ![Laser cut](../images/process/9.png){ width=700}
  <figcaption></figcaption>
</figure>


### **Illustration**

Initially, I wanted the collection to follow a graphic theme through the patterns and colors I used in the vest. So, I designed a different layout to create a piece with the same color palette but emphasizing the chest area.

Although I thought the design was good, in the first feedback session, I was recommended to look for a more interesting graphic theme to make the garments stand out from each other and make the collection feel fresher and more original. So, I decided to change the design and look for a color palette inspired by another exoskeleton.

<figure markdown>
 ![Laser cut](../images/dress/2.png){ width=700}
  <figcaption></figcaption>
</figure>


### **New Color & Texture**

![describe what you see in this image](../images/dress/Dress_Beetle.png){ width=275 align=left }

**Gymnetis stellata**

The <a href="https://spain.inaturalist.org/taxa/204573-Gymnetis-stellata/browse_photos">Gymnetis stellata</a> found in Mexico is a species of beetle belonging to the Scarabaeidae family, distributed mainly in tropical and subtropical regions of America, such as certain areas of Mexico. Here's more specific information about this species:

**Characteristics of the Gymnetis stellata from Mexico:**

-**Coloration and appearance:** Specifically, Gymnetis stellata has star-shaped or dot-like patterns on its exoskeleton, which gives it the name "stellata" (from "star"). This pattern is one of the traits that makes it easily recognizable and visually appealing.

-**Size and shape:** The beetle has a robust body, although not as large as some other members of the family. Its shape is more elongated and oval, with a structure that allows it to move agilely through vegetation in search of food.



### **Illustration (After feedback)**

In a first abstraction process, I changed the background colors and the shapes of the figures that highlight the beetle's texture, but I wasn't entirely satisfied with the result because the black details were too thick and didn't reflect the true texture. So, in a final iteration, I modified the black shapes.

<figure markdown>
 ![Laser cut](../images/dress/3.png){ width=700}
  <figcaption></figcaption>
</figure>


In comparison, the final design has a more organic and natural personality than the initial proposals.

### **Last iteration**
<figure markdown>
 ![Laser cut](../images/dress/4.png){ width=700}
  <figcaption></figcaption>
</figure>


### **Sublimate**

The sublimation process was the same as for the vest, but in this case, I used a sheer fabric that gives the dress a soft, lightweight feel. In both cases, the most important thing was to consider the pattern measurements to avoid wasting material.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/2Rk7LnflgLE?si=ONLIOZGoihPzBWH6" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


## **LASER CUT**

I'd never made a bustier before, so I looked up a few references to understand how the pattern is laid out and how the darts work on the piece. However, in the first fittings, I noticed that the design didn't take into account the flexibility of the fabric, so the top couldn't stand up on its own.

So, I modified the design in a second iteration, changing the original measurements and the position of the darts.

<figure markdown>
 ![Laser cut](../images/dress/5.jpg){ width=700}
  <figcaption></figcaption>
</figure>


||| 
|:-----------------:|:---------------:| 
|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@raul.babines/video/7482505405604613381" data-video-id="7482505405604613381" style="max-width: 405px;min-width: 325px;" > <section> <a target="_blank" title="@raul.babines" href="https://www.tiktok.com/@raul.babines?refer=embed">@raul.babines</a> Mis ideas a la realidad  <a title="maker" target="_blank" href="https://www.tiktok.com/tag/maker?refer=embed">#maker</a> <a title="ideas" target="_blank" href="https://www.tiktok.com/tag/ideas?refer=embed">#ideas</a> <a title="parati" target="_blank" href="https://www.tiktok.com/tag/parati?refer=embed">#parati</a> <a title="trend" target="_blank" href="https://www.tiktok.com/tag/trend?refer=embed">#trend</a> <a title="fabricademy" target="_blank" href="https://www.tiktok.com/tag/fabricademy?refer=embed">#fabricademy</a> <a title="babines" target="_blank" href="https://www.tiktok.com/tag/babines?refer=embed">#babines</a> <a title="raulbabines" target="_blank" href="https://www.tiktok.com/tag/raulbabines?refer=embed">#raulbabines</a> <a target="_blank" title="♬ Relaxed (Sped Up) - MC Mablo Dos Paredões" href="https://www.tiktok.com/music/Relaxed-Sped-Up-7358898427880982545?refer=embed">♬ Relaxed (Sped Up) - MC Mablo Dos Paredões</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|<br/><br/><br/><br/><br/><br/><br/><br/>Laser cutting fabric can be very easy or very difficult depending on the type of fabric you're using. In this case, I bought several meters of fabric and didn't want to cut it on the cutting bed, so I used a chair as a support outside the cutter to prevent the weight of the fabric from shifting what was already fixed to the cutting bed.<br/>I used Smartcarve to set the cutting parameters, and in this case, I changed the speed from 30 to 50 because the fabric was thinner.<br/>**Max POWER: 30** <br/>**Min POWER: 20** <br/>**Work SPEED mm/s: 50** <br/><br/>**NOTE:** If you cut two thin fabrics on top of each other, the laser will fuse the edges, and it may no longer be necessary to close the edges with an OVER seam. Hiding them with the Straight Machine will be more than sufficient.<br/>|

Changing the pattern design for the bustier was a success because now I'm confident the dress doesn't need straps and is able to stand on its own on the body.

**NOTE:** It's no longer a bustier; it's just the top of a dress, which isn't a bad thing, but it leaves me with the task of further researching how to create a more structured piece.

<figure markdown>
 ![Laser cut](../images/dress/6.jpg){ width=700}
  <figcaption></figcaption>
</figure>

## **3D PRINT**

The design of the upper part of the dress is covered by a series of 3D-printed pieces that will give the dress an original, avant-garde yet subtle personality.

Using the principles of Biomimicry, I began to design parts inspired by the physical structures of some beetles I found interesting. With the help of SolidWorks, I designed a 0.7 mm thick part that I printed in TPU, because the original idea was to create a structure that was rigid to the eye but flexible for the user.

My first big mistake. The parameters I used to print the parts weren't correct, and the printer left residue that could have been resolved by changing the "Retraction" settings. However, after seeing the physical result, neither the shape nor the material convinced me. So I decided to explore a little further.

| | | 
|:-----------------: |:---------------:| 
|![](../images/dress/7.jpg){ width=380 }|![](../images/dress/8.jpg){ width=300 }|
|<iframe width="460" height="215" src="https://www.youtube.com/embed/evKU0er6rcs?si=YmO2jQ8jV9ht3qDW" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|![](../images/dress/9.jpg){ width=300 }|

SolidWorks has an option in "Sketch Tools" that allows you to import an image and modify its transparency to draw on it. So I looked for other types of textures, inspired by the chrysalides of some beetles, but it wasn't enough. Something wasn't working.

In a last-ditch attempt to achieve a distinctive organic piece, I deformed the beetle I used as inspiration for the color palette and traced an outline over the exoskeleton texture, which resulted in a more interesting piece.

| | | 
|:-----------------: |:---------------:| 
|![](../images/dress/10.jpg){ width=380 }|![](../images/dress/11.jpg){ width=380 }|
|<iframe width="460" height="215" src="https://www.youtube.com/embed/tkoum5lB2ew?si=PSiESRsCRVz3OUhq" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>|![](../images/dress/12.jpg){ width=300 }|


<figure markdown>
 ![Laser cut](../images/dress/10.png){ width=750}
  <figcaption></figcaption>
</figure>

After presenting them on the mannequin, I decided to print the pieces in PLA to create rigid pieces that would give structure to the front of the dress. To ensure they molded to the shape of the body, I used a heat gun, which helped me create a more sculptural piece.

In the end, I only secured the pieces with a couple of stitches of thread to ensure they held their shape.

|BEFORE APPLICATIONS |DURING APPLICATIONS | 
|:-----------------: |:---------------:| 
|![](../images/dress/13.jpg){ width=300 }|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@raul.babines/video/7488516091132628229" data-video-id="7488516091132628229" style="max-width: 405px;min-width: 90px;" > <section> <a target="_blank" title="@raul.babines" href="https://www.tiktok.com/@raul.babines?refer=embed">@raul.babines</a> <p>mi momento maker </p> <a target="_blank" title="♬ Relaxed (Sped Up) - MC Mablo Dos Paredões" href="https://www.tiktok.com/music/Relaxed-Sped-Up-7358898427880982545?refer=embed">♬ Relaxed (Sped Up) - MC Mablo Dos Paredões</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|
