# Beetle bag

![Portada](../images/bag/1.png)

## **ABOUT THIS ACCESSORY**
![Description image](../images/bag/2.png){ width=210 align=right }

The handbag is one of the key pieces of the collection and stands out for its innovative approach by incorporating a modular construction technique. These modules not only enrich the bag's pattern but also provide a unique structure, giving it a distinctive shape and texture. For the creation of the modules, I will use a laser cutter and a combination of thick sublimated fabric and leather scraps, materials that come together to create a one-of-a-kind texture.

The design of the handbag aligns with the same graphic proposal as the other pieces in the collection, maintaining visual coherence throughout the set. The only difference lies in the technique applied, which allows for a deeper exploration of the available technological and material resources.


## **DESIGN**

### **Pattern BAG**

To begin designing this accessory, I used the vest design as a base and took measurements from a standard bag to create the parts. The idea was to create a modular structure that would function similarly to the vinyl structure on the vest. However, after an initial iteration, I decided it would be best to use modules for the front and back.

<figure markdown>
 ![Laser cut](../images/bag/3.png){ width=800}
  <figcaption></figcaption>
</figure>

### **Pattern Module (First test)**

Initially, I wanted to work with a triangular module because in the Circular Fashion exercise, I discovered several projects with a similar pattern and thought they were very attractive.
But after doing a couple of tests on paper and smooth leather, I wasn't entirely convinced by the results. So, I raised this concern in one of my feedback sessions.

<figure markdown>
 ![Laser cut](../images/bag/4.png){ width=800}
  <figcaption></figcaption>
</figure>

In the feedback session, they shared a couple of projects where they used a hexagonal module to create pieces with different measurements and volumes. So I worked on that and created a hexagonal pattern, rounding the edges to simulate a small beetle shell at each point.

I used the original bag measurements as a reference and, using the SolidWorks matrix tool, drew the exact number of modules I needed for the front of the bag.

<figure markdown>
 ![Laser cut](../images/bag/7.jpg){ width=800}
  <figcaption></figcaption>
</figure>

### **First option**

The color palette design was inspired by the "Giant mesquite bug" so I looked for the skin colors to cut the modules and with the help of Excel, I colored the cells until I came up with a design I liked.

![describe what you see in this image](../images/bag/Bag_beetle_1.png){ width=200 align=right }

**Giant mesquite bug**

The Thasus neocalifornicus, commonly known as the  <a href="https://spain.inaturalist.org/taxa/1444994-Pachylis-neocalifornicus/browse_photos">"giant mesquite bug"</a>, is an insect belonging to the Coreidae family, often referred to as the "mesquite bugs" or "mesquite tree insects." This insect is known for its large size and striking appearance, making it fascinating both biologically.

**Main Characteristics of Thasus neocalifornicus:**

-**Coloration:** One of the most impressive features of this insect is its coloration. The Thasus neocalifornicus has a bright red or orange color combined with black on various parts of its body, especially on its wings and legs. This vibrant color pattern is not only visually attractive but may also serve a defensive function, as bright colors are often warning signals to predators, indicating that the insect may be toxic or unpleasant.




<figure markdown>
 ![Laser cut](../images/bag/8.jpg){ width=800}
  <figcaption></figcaption>
</figure>


## **LASER CUT**

To laser cut the pieces, I positioned the leather texture-side up to prevent staining from laser reflections. Using the SmartCarve program, I set the cutting values: <br/>

Max Power % - 62 <br/>
Min Power % - 42 <br/>
Working Speed ​​- 20 <br/>


| | | 
|:-----------------: |:---------------:| 
|<iframe width="460" height="215" src="https://www.youtube.com/embed/ip9hsCBveDc?si=9r3jC4hTlt357Z1F" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe> |![](../images/bag/6.jpg){ width=380 }|


The leather modules have an unpleasant odor while being cut, but the result is precise. However, something to consider is that the edges of the pieces have cutting residue that stains excessively while you're handling them. This is a serious problem if you plan to create a piece with very light colors.


| | | 
|:-----------------: |:---------------:| 
|<blockquote class="tiktok-embed" cite="https://www.tiktok.com/@raul.babines/video/7482552817849306374" data-video-id="7482552817849306374" style="max-width: 405px;min-width: 125px;" > <section> <a target="_blank" title="@raul.babines" href="https://www.tiktok.com/@raul.babines?refer=embed">@raul.babines</a> Tessellation  <a title="tessellation" target="_blank" href="https://www.tiktok.com/tag/tessellation?refer=embed">#tessellation</a> <a title="tessellationdesign" target="_blank" href="https://www.tiktok.com/tag/tessellationdesign?refer=embed">#tessellationdesign</a> <a title="fabricademy" target="_blank" href="https://www.tiktok.com/tag/fabricademy?refer=embed">#fabricademy</a> <a title="trend" target="_blank" href="https://www.tiktok.com/tag/trend?refer=embed">#trend</a> <a title="maker" target="_blank" href="https://www.tiktok.com/tag/maker?refer=embed">#maker</a> <a title="raulbabines" target="_blank" href="https://www.tiktok.com/tag/raulbabines?refer=embed">#raulbabines</a> <a target="_blank" title="♬ Sonate Pacifique - Instrumental - L&#39;Impératrice" href="https://www.tiktok.com/music/Sonate-Pacifique-Instrumental-6756079857836247042?refer=embed">♬ Sonate Pacifique - Instrumental - L&#39;Impératrice</a> </section> </blockquote> <script async src="https://www.tiktok.com/embed.js"></script>|![](../images/bag//5.jpg){ width=345 }|


The best way to stop the leather pieces from staining was to wash them with dish soap and plenty of water. To prevent them from warping due to water, I let them air dry on an aluminum tray.

**NOTE:** If you let them dry in the sun, the pieces will warp from drying too quickly.

<figure markdown>
 ![Laser cut](../images/bag/9.jpg){ width=800}
  <figcaption></figcaption>
</figure>


## **ASSEMBLY OF PARTS**

I followed the pattern I designed in Excel until I got the front and back pieces, but when I compared the result with the dress and vest, something wasn't quite right. The orange tones weren't that similar, so I decided to look for another option.

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/QW2sc5vFJp4?si=oRXAlkEEmzpS3FXF" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>
<br/>
<br/>



![describe what you see in this image](../images/bag/10.jpg){ width=285 align=left }

## **ITERATION**
<br/>
After searching for several options inspired by the mood board, I selected a new beetle that maintained two of the main colors throughout the collection: yellow and black.

The most important part of this iteration was understanding how the entire bag would be made. After assembling the first pieces, I decided to remove a couple of pieces from the edges and create a piece for the top of the bag that connects to the handles, inspired by the shapes of the new beetle.

<br/>
<br/>
<br/>



## **New Color & Texture**

![describe what you see in this image](../images/bag/Bag_Beetle.png){ width=265 align=left }

**Tragocephala variegata**

The <a href="https://spain.inaturalist.org/taxa/556701-Tragocephala-variegata/browse_photos">Tragocephala variegata</a> is a species of beetle belonging to the Cerambycidae family, commonly known as "longhorn beetles." This type of beetle is characterized by its long antennae and elongated body structure. Here's more specific information about this species:

**Characteristics of Tragocephala variegata:**

-**Coloration:**Tragocephala variegata has a quite striking and characteristic coloration. Its body is usually brown or black, with light markings or yellow or white spots, giving it a "variegated" appearance (hence its specific name). This coloration helps it camouflage in its natural environment, often blending with tree bark or dense vegetation.

-**Size and shape:** Like other beetles in the Cerambycidae family, Tragocephala variegata has a long, narrow body and can grow to a considerable size, typically ranging from 2 to 3 centimeters in length.
Its long antennae are one of the most distinctive features of these beetles, sometimes even longer than the body itself.

## **BAG DISASSEMBLY**

The bag assembly could have been done using modules only, but I thought it would be an interesting detail to break the pattern of assemblies with completely smooth pieces, so in the new SolidWorks design I drew the smooth patterns and included 0.1 mm perforations on the edges to make sewing easier.

<figure markdown>
 ![Laser cut](../images/bag/11.jpg){ width=800}
  <figcaption></figcaption>
</figure>

<figure markdown>
 ![Laser cut](../images/bag/12.jpg){ width=550}
  <figcaption></figcaption>
</figure>

## **LEATHERCRAFT TOOLS**

To sew the bag I used classic saddlery tools and I must admit that it was a very time-consuming process, since the leather is very thick and to secure all the pieces I tried to pass the thread from one side to the other very carefully.


| | | 
|:-----------------: |:---------------:| 
|<iframe width="460" height="215" src="https://www.youtube.com/embed/Ai0Mx0pDwp0?si=7UzlTHUZbBlhjA7R" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe> |![](../images/bag/14.jpg){ width=380 }|

## **SEWING TIME**

Most leather pieces gain structure once all the seams are complete, and in this case, the bag gained stability when I sewed all the edges.
The end result is incredible.

<figure markdown>
 ![Laser cut](../images/bag/13.jpg){ width=700}
  <figcaption></figcaption>
</figure>

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/FSNqtkP6goY?si=JJtLUU0n7WAyfypK" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>

