# Deliverables


## **FIRST PLANNING**
The project will take place over the first two months of the year (January and February), with the intention of adhering to the timeline set for the global reviews by Fabricademy mentors. My goal is to complete the collection within this timeframe, ensuring that every creative and technical decision aligns with the program's standards and the expectations for the final review.


<figure markdown>
 ![Laser cut](../images/concept/5.png){ width=800}
  <figcaption></figcaption>
</figure>


## **BoM** bill of materials

**LARVA VEST**

|MATERIAL|QTY|DESCRIPTION|PRICE MXN|
|:-----------------|:---------------|:---------------| :---------------| 
|Fabric| 2m| White gabardine | $140 |
|Lining fabric | 2m| Black blanket | $80 |
|Sublimation paper | 2m| special for Epson plotter |$400|
|Thread| 4 pieces| 3 in black for the over machine and 1 in orange for details | $100|
|Vinyl | 1.5 m| Textil vinyl in black| $150|
|Kitchen roll tube| 1 piece of 30 cm | IMPORTANT: NOT WAX PAPER | $80 |
|Buttons|12 pieces| Blister pack |$20 |
|Bias tape| 1 piece| In orange color | $180|

**CHRYSALIS DRESS**

|MATERIAL|QTY|DESCRIPTION|PRICE MXN|
|:-----------------|:---------------|:---------------| :---------------| 
|Fabric| 3m| Soft texture | $240 |
|Lining fabric | 3m| Transparent texture | $240 |
|Sublimation paper | 3m| special for Epson plotter |$600|
|Thread| 5 pieces| 3 in white for the over machine, 1 in orange for details and 1 in black to fix the 3D print pieces | $120|
|PLA | 1 piece | 1 roll in black| $340|
|Zipper|1 piece| 60 cm long |$30 |

**BEETLE BAG**

|MATERIAL|QTY|DESCRIPTION|PRICE MXN|
|:-----------------|:---------------|:---------------| :---------------| 
|Leather| 1/5 yard| Black color | $800 |
|Leather| 1/5 yard| Orange color | $800 |
|Leather| 1/5 yard| Blue color | $800 |
|Leather| 1/5 yard| Yellow color | $800 |
|Thread| 1 piece| In black color for the edges | $30|
|Waxed thread| 1 piece | In yellow color for the details| $230 |




## **MID-TERM Presentation**

<iframe src="../../files/MID_TERM_presentation.pdf" width="800" height="440"></iframe>

## **FEEDBACK Mid-term Review**

**MALOU** 

3 different phases of transformation. <br/> 
Nice moodboard! <br/>
Where will you place the inflatable in the vest? <br/>
Can the inflatable part create a new visual in what scenario will the bag be used what is the added value of the modular approach, and what will be changeable?


**CLAUDIA**

Great style presentation and visuals. I know you worked on the same topic before, from Puebla, maybe you can add some scientific rigor and look more into a <a href="https://www.researchgate.net/figure/Title-page-of-site-Beetles-Coleoptera-and-Coleopterists-Den-1-Oeooeueiay-nodaieoea_fig1_279961896 ">biomimicry approach.</a>  

For the inflatables the larva reminds me of  <a href="https://www.researchgate.net/figure/Series-1-multi-state-inflatable-sample-in-relaxed-state-bottom-left-and-actuated-top_fig1_335883174  ">Brune Goveia works</a> 



## **FEEDBACK First Session**

**CLAUDIA**

-2d and 3d patterns: try to include scientific references about <a href="https://www.researchgate.net/figure/Title-page-of-site-Beetles-Coleoptera-and-Coleopterists-Den-1-Oeooeueiay-nodaieoea_fig1_279961896">biomimicry</a>  


-Reaction diffusion pattern can be generated easily in <a href=" https://discourse.mcneel.com/t/reaction-diffusion-curves/160082/2">grasshopper</a>


<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/GvYDPhgO3q8?si=Eodn38z2Ws0AvqWq" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>


-I attach to the email a definition about reaction diffusion, you need to install the <a href="https://discourse.mcneel.com/t/downloading-millipede-add-on/103718">millipede plugin</a>

-<a href="https://class.textile-academy.org/2020/juanfelipe.enriquez/assignments/week03/">modular fashion leather bag:</a> find thinner leather leftovers, different colors, try also the engraving on it and the UV printing on top to connect more the material to the textures of the beetles.

-<a href="https://class.textile-academy.org/2024/zahia-albakri/development/Dress/">Zahia's lizard</a> dress and electronics: 

-Soft robotics: try to reuse a previous circuit or make a simple one with the xiao board, the vinyl pattern and a sensor to inflate it.

-Distant sensors can be useful for mimicking the way beetles sense their surroundings. You can take inspiration from their antennae that extend beyond the body and place a distant sensor in similar external locations, like antennas.


## **FEEDBACK Second Session**

**CLAUDIA & TROY**

<figure markdown>
 ![Laser cut](../images/process/14.jpg){ width=700}
  <figcaption></figcaption>
</figure>

-Here a laser cutting mold example for leather molding

<div style="text-align: center;">
<iframe width="560" height="315" src="https://www.youtube.com/embed/GGWNl3Rw3Ro?si=CY2gm1N5DIt-FDmT" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
</div>
	
-I was thinking for <a href="https://class.textile-academy.org/2025/josue-orozco/development/3chrysalis%20dress/#patterns">this pattern</a> if the 3d printing doesnt work, so you have a continuity working on the same material (leather)

-The other option you can do 3d printing on fabrics <a href="https://www.3dwasp.com/en/3d-printing-on-textile/">something like this</a>  

-If you use the ender printer you can check dinesh <a href="https://class.textile-academy.org/2023/dineshkumar-gunasekaran/2-Final%20Project%20Development/06-Fabrication%20Explorations/">printing settings for TPU</a>  


## **STORYTELLING SESSION**


<iframe src="../../files/Storytelling_Session.pdf" width="800" height="440"></iframe>


## **FINAL FEEDBACK**

**CLAUDIA team**

<figure markdown>
 ![Laser cut](../images/process/15.jpg){ width=700}
  <figcaption></figcaption>
</figure>

A few references to improve your final projects video and photoshoot

**Photoshoot - Tutorials, Tips and Tricks**<br/>
<a href="https://www.youtube.com/watch?v=Eb3sSJTF5Og">Product photography and light tips</a><br/>
<a href="https://digital-photography-school.com/good-crop-bad-crop-how-to-crop-portraits/">Tutorial - portraits - Cropping techniques</a><br/>
<a href="https://fixthephoto.com/fashion-photography.html">Fashion Photography tips</a>
<a href="https://shotkit.com/fashion-poses/">Fashion poses</a><br/>

**Photoshoot - Build your light box at home**<br/>
DIY <a href="https://www.youtube.com/watch?v=VBxo6rbHtBM">cardboard light box</a><br/>
DIY <a href="https://www.youtube.com/watch?v=T6fnHEvLyAE">cardboard light box</a><br/>
Instructables - <a href="https://www.instructables.com/DIY-Lightbox-1/">Lightbox tutorials</a><br/>


**Free photography and video online courses**<br/>
Photography -<a href="https://www.coursera.org/learn/photography">free course for beginners - By MoMa</a><br/>
Video Editing - <a href="https://www.udemy.com/topic/video-editing/free/">free courses on Udemy</a><br/>
fixthephoto- <a href="https://fixthephoto.com/photoshop-portrait-tutorials.html">Portrait tutorials</a><br/>
 

**Storyboard/script software**<br/>
<a href="https://wonderunit.com/storyboarder/">Wonderunit</a><br/>
<a href="https://create.vista.com/templates/storyboard/">Create Vista</a><br/>
<a href="https://canva.com/create/storyboards/">Canva storyboard templates</a><br/>
<a href="https://hollywoodcamerawork.com/causality.html">Hollywoodcamerawork</a><br/>


**Video Editing - OS Software and tutorials**<br/>
Video Editing:<a href="https://lwks.com/index.php?option=com_content&view=article&id=162&Itemid=246&start=QuickStart">Lightworks - Tutorial</a><br/>
Video Editing: <a href="https://www.youtube.com/watch?v=P51CqlPOE_w">Capcut - Tutorial</a><br/>
<a href="https://www.youtube.com/watch?v=AlrC-XaKwew">Canva video editor</a><br/>
Stop motion: <a href="https://cloudstopmotion.com  "> (free for 1 or 2 projects maximum)</a><br/>
Stop Motion Studio: <a href="https://cateater.com"> (free plan available)</a><br/>
Stop Motion Studio App: <a href="https://play.google.com/store/apps/details?id=com.cateater.stopmotionstudio&hl=en-US">(paid for both IOS and Android) </a><br/>
 
 

**Free AI Voice-over for your videos**<br/>
<a href="https://speechify.com/ai-voice-generator/">Speechify.com</a><br/>
<a href="https://deepai.org/text-to-speech">Deepai.org</a><br/>
<a href="https://canva.com/features/ai-voice-generator/">canva.com</a><br/>
<a href="https://voicebooking.com/en/free-voice-over-generator">voicebooking.com</a><br/>



**Royalty Free Stock Photo Footage**<br/>
<a href="https://unsplash.com">Unsplash</a><br/>
<a href="https://pexels.com">Pexels</a><br/>
<a href="https://pixabay.com/photos">Pixabay</a><br/>
<a href="https://freepik.com">Freepik</a><br/>
<a href="https://freeimages.com">Freeimages</a><br/>


**Royalty Free Stock Video Footage**<br/>
<a href="https://vimeo.com/groups/freehd">Vimeo</a><br/>
<a href="https://videvo.net">Videvo</a><br/>
<a href="https://pexels.com/videos">Pexels</a><br/>
<a href="https://pixabay.com/videos">Pixabay</a><br/>
<a href="https://stock.adobe.com/free/video">Adobe Stock</a><br/>
<a href="https://videezy.com">Videezy</a><br/>



**Royalty Free Stock Music & Sounds**<br/>
<a href="https://filmmusic.io">Filmmusic.io</a><br/>
<a href="https://freemusicarchive.org/curator/Video">Free music archive</a><br/>
<a href="https://bensound.com/">Bensound</a><br/>
<a href="https://https://freesound.org/">Freesound</a><br/>
<a href="https://youtube.com/freetousemusic">Youtube</a><br/>
<a href="https://pixabay.com/sound-effects/">Pixabay</a><br/>
<a href="https://uppbeat.io/music/">Uppbeat </a><br/>


## **FABRICATION FILES**
[**LARVA VEST "SOLIDWORKS PATTERN"**](../files/finalproject/Vest.SLDPRT) <br/>
[**LARVA VEST "AI FRONT DESIGN"**](../files/finalproject/Dibujo_VEST_FRONT.aiT) <br/>
[**LARVA VEST "AI BACK DESIGN"**](../files/finalproject/Dibujo_VEST_BACK.ai) <br/>


[**CHRYSALIS DRESS "SOLIDWORKS PATTERN"**](../files/finalproject/Dress.SLDPRT)<br/>
[**CHRYSALIS DRESS "AI DESIGN"**](../files/finalproject/Dibujo_DRESS_FRONT.ai) <br/>


[**BEETLE BAG "SOLIDWORKS PATTERN"**](../files/finalproject/Beetle_BAG.SLDPRT)<br/>
